wmaker (0.96.0+git20260819-1) experimental; urgency=medium

  * New upstream GIT snapshot 78b58d4418550b1349eb5d6820731d9c8aaafb08.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Aug 2026 18:48:17 +0200

wmaker (0.96.0+git20260726-1) experimental; urgency=medium

  * New upstream GIT snapshot 17d44e15033ada29b0100954e6fa8fd7fe76b220.
    + Drop superfluous patches.
  * Update symbol files.
  * Update copyright years, add more licenses.
  * Add some helper files for running cme update dpkg-copyright.
  * Update debian/copyright:
    Regenerate with
    cme update dpkg-copyright && \
     cat debian/copyright.image-files >> debian/copyright

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Aug 2026 18:26:25 +0200

wmaker (0.96.0-5) unstable; urgency=medium

  [ Jeremy Sowden ]
  * debian/patches
    - add patch to correct spelling mistakes

  [ Doug Torrance ]
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Drop redundant Rules-Requires-Root field.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Add myself to copyright holders for debian directory.
  * debian/patches/90_wfont_fallback.patch
    - New patch from upstream to provide fallback font (Closes: #1126087).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 24 Jan 2026 07:04:29 -0500

wmaker (0.96.0-4) unstable; urgency=medium

  [ Doug Torrance ]
  * d/control: Use unversioned libmagickwand-dev in Build-Depends.
    This will simplify backporting and maintenance for any possible future
    ImageMagick version bumps.

  [ Andreas Metzler ]
  * Fix FTBFS with libtool >= 2.5.3 (Closes: #1092416)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Jan 2025 13:42:06 +0100

wmaker (0.96.0-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 11_Revert-WUtil-Be-more-strict-about-base-directory-for.patch from
    upstream GIT master: Fix breakage of saving the history in
    ~/GNUstep/.AppInfo/WindowMaker/History.

  [ Jeremy Sowden ]
  * d/control
    - add myself to uploaders
    - bump Standards-Version to 4.7.0
    - bump ImageMagick build-dep from v6 to v7 (Closes: #1086941)
  * d/gbp.conf
    - default: set `pristine-tar` to `true`
  * d/p/10_libwraster6.diff
    - set `Forwarded: not-needed`

 -- Jeremy Sowden <azazel@debian.org>  Fri, 08 Nov 2024 22:37:51 +0000

wmaker (0.96.0-2) unstable; urgency=medium

  * debian/libwraster6.symbols
    - Drop symbol versions back to LIBWRASTER6.
  * debian/patches/10_libwraster6.diff
    - New patch; fix libwraster symbol version (Closes: #1043417).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 13 Aug 2023 08:48:41 -0400

wmaker (0.96.0-1) unstable; urgency=medium

  * New upstream release.

  [ Andreas Metzler ]
  * Migrate lintian overrides with
    GIT/lintian/bin/lintian-migrate-overrides-to-pointed-hints.
  * Bump Standards-Version.
  * Add lintian override for hand written html test file. (source-is-missing)

  [ Doug Torrance ]
  * debian/control
    - Switch libfontconfig1-dev -> libfontconfig-dev in Build-Depends.
    - Switch libtiff5-dev -> libtiff-dev in libwings-dev Depends.
    - Switch libfontconfig1-dev -> libfontconfig-dev in libwraster-dev
      Depends.
  * debian/debianfiles/wmaker-common.desktop
    - Remove file; now exists upstream.
  * debian/lib*.symbols
    - Bump libwraster symbols from LIBWRASTER6 -> LIBWRASTER7.
    - Add new library symbols.
  * debian/patches
    - Remove patches applied upstream.
      + 10_support_imagemagick6.diff
      + 20_national_encoding.diff
      + 21_wrong_manual_section.diff
    - Refresh remaining patches for new upstream release.
  * debian/rules
    - Replace --with-defsdatadir configure option with --with-pkgconfdir.
  * debian/wmaker-common.install
    - Install .desktop files.
  * debian/wmaker-common.lintian-overrides
    - Add desktop-command-not-in-package override.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 10 Aug 2023 08:00:40 -0400

wmaker (0.95.9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + wmaker-utils: Drop versioned constraint on wmaker in Replaces.
    + wmaker-utils: Drop versioned constraint on wmaker in Breaks.
    + Remove 5 maintscript entries from 1 files.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entries 0.95.4-1, 0.95.3-2, 0.95.3-1,
    0.95.0+20111028-4, 0.14.0-2, 0.14.0-1, 0.13.1-0.1, 0.12.3-0.5.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

  [ Doug Torrance ]
  * debian/changelog
    - Enclose John H. Robinson, IV's name in quotes to avoid
      bogus-mail-host-in-debian-changelog Lintian error (see #966295).
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Bump to debhelper compatibility level 13.
  * debian/copyright
    - Use https for Source URL.
  * debian/debianfiles/wmaker
    - Update paths to wmaker and convertfonts; now in /usr/libexec.
  * debian/not-installed
    - New file; specify files that aren't installed so dh_missing doesn't
      cause build failures after the bump to debhelper 13.
  * debian/patches/10_support_imagemagick6.diff
    - Update patch to match upstream; support both imagemagick 6 and 7.
  * debian/patches/20_national_encoding.diff
    - New patch; convert README's from ISO-8859-1 to UTF-8.
  * debian/patches/21_wrong_manual_section.diff
    - New patch; use quotes around "Window Maker" in translated manpage
      title headers to prevent wront-manual-section Lintian warnings.
  * debian/patches/{53,75}*.diff
    - Set "Forwarded: not-needed" for Debian-specific patches.
  * debian/upstream/metadata
    - Add Bug-* fields.
  * debian/wmaker-common.lintian-overrides
    - New file; override no-manual-page Lintian warning.
  * debian/wmaker.install
    - Install wmaker and convertfiles to /usr/libexec for FHS compliance.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 08 Oct 2021 22:20:31 -0400

wmaker (0.95.9-2) unstable; urgency=low

  * Ship manpages from as-installed location (debian/tmp) instead of
    sourcetree to make dh_missing output more useful.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Apr 2020 11:30:41 +0200

wmaker (0.95.9-1) experimental; urgency=low

  [ Doug Torrance ]
  * New upstream release.
    - No longer sets GNUSTEP_USER_ROOT environment variable
      (Closes: #922284).
    - Prefers TryExec to Exec when generating menu entries from XDG desktop
      files (closes: #930674).
    - Drop patches previously pulled from upstream GIT:
      10_util-fix-parsing-of-XDG-menus-with-multiple-groups.patch
      11_XDG-menu-categories.patch 12_reference-proplist-menus.patch
      60_fix_pkg-config_variable_typo.patch
    - Unfuzz 75_WPrefs_to_bindir_when_gnustedir_is_set.diff
    - 54_Debian_wmmacros.diff dropped, main functionality included upstream.
  * debian/compat
    - Remove file; compatibility level now handled by debhelper-compat
      package.
  * debian/control
    - Bump Standards-Version to 4.5.0.
    - Switch Build-Depends on debhelper to debhelper-compat for
      compatibility level 12.
  * debian/lib*.symbols
    - Add Build-Depends-Package fields.
  * debian/libwings3.symbols
    - Add new WINGs symbols.
  * debian/patches/10_support_imagemagick6.diff
    - New patch; restore support for ImageMagick v6, as v7 is not in
      Debian yet.
  * debian/patches/.keepme
    - Remove unnecessary file; was causing
      patch-file-present-but-not-mentioned-in-series Lintian warning.
  * debian/README.Debian
    - Fix typo.
  * debian/rules
    - Remove replacement of #wmdatadir# to $(WMSHAREDIR) in some menu
      files; this is now done by upstream during build.
    - Install README's from WindowMaker directory correctly. Avoids
      package-contains-documentation-outside-usr-share-doc Lintian
      warning.
  * debian/wmaker-common.docs
    - Use wildcard to catch all the README's that have been renamed
      in d/rules.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Apr 2020 18:06:26 +0200

wmaker (0.95.8-3) unstable; urgency=low

  [ Doug Torrance ]
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Drop automake (>= 1:1.12) from Build-Depends; automake 1.14 is
      now in oldstable.
    - Add libmagickwand-6.q16-dev to Build-Depends.
    - Add libpango1.0-dev to Build-Depends.  We have been passing
      --enable-pango to configure during build since version 0.95.7-1,
      but it has been failing.
    - Bump Standards-Version to 4.2.1.
    - Use https in Homepage.
    - Update Vcs-* after migration to Salsa.
  * debian/copyright
    - Update Format to https.
  * debian/patches/60_fix_pkg-config_variable_typo.patch
    - New patch; correctly call pkg-config when building with
      ImageMagick support.
  * debian/README.Debian
    - Add documentation for new FreeDesktop-style menu which replaced
      the deprecated Debian menu (Closes: #872879).
  * debian/rules
    - Add --enable-magick configure option to enable ImageMagick
      support (Closes: #905608).
    - Remove --parallel option to dh; default after debhelper 10.
  * debian/watch
    - Use https for download link.

  [ Andreas Metzler ]
  * Delete trailing whitespace in Debian changelog. (Thanks, lintian)
  * 75_WPrefs_to_bindir_when_gnustedir_is_set.diff: Install main WPrefs
    executable to /usr/bin even if --with-gnustepdir is used.
    Build with --with-gnustepdir=/usr/share/GNUstep (instead of
    /usr/share/lib/...) and fix references in debian/* accordingly.
    (LP: #1742842)
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 13 Sep 2018 19:16:14 +0200

wmaker (0.95.8-2) unstable; urgency=low

  [ Doug Torrance ]
  * Remove and replace the deprecated Debian menu.  The list of
    applications is now generated by the wmmenugen utility (with some
    patches from upstream's development branch) from .desktop files in
    /usr/share/applications.  This gives a decent approximation of
    compliance with freedesktop.org's menu standards (Closes: #868431).
  * Bump Standards-Version to 4.0.1.
  * Use dh_installwm to register Window Maker with update-alternatives.
    In particular, we add a new file, debian/wmaker.wm, and a new target,
    override_dh_installwm, to debian/rules which sets the priority.
    To accommodate this, we move the manpage from wmaker-common to
    wmaker.
  * Bump debhelper compatibility level to 10.
  * Remove explicit call to dh_autoreconf; enabled by default in
    debhelper 10.

  [ Andreas Metzler ]
  * Handle removal of menu-methods on upgrades (orphaned conffiles) with
    debian/wmaker{,-common}.maintscript. Remove generated menufiles
    (etc/GNUstep/Defaults/appearance.menu and /etc/GNUstep/Defaults/menu.hook
    on upgrades and purge.
  * Because of the moved manpage (which in turn is needed for using
    dh_installwm) wmaker breaks/replaces wmaker-common (<< 0.95.8-2~).
  * Ship our menu as /etc/GNUstep/Defaults/plmenu.Debian and add a symlink
    to it as /usr/share/WindowMaker/menu.hook to make the menu accessible for
    upgraded installations.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Aug 2017 14:11:24 +0200

wmaker (0.95.8-1) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Jul 2017 13:35:24 +0200

wmaker (0.95.8-1~exp2) experimental; urgency=medium

  [ Doug Torrance ]
  * debian/debianfiles/Themes/Debian.style
    - Rename from just "Debian" for consistency with other Window
      Maker themes.
  * debian/debianfiles/upgrade-windowmaker-defaults
    - Delete archaic script. It was intended to help users upgrade
      Window Maker 15+ years ago when the configuration file syntax
      was not stable.  No longer necessary.
  * debian/libwings3.symbols
    - Remove MISSING comment lines.
  * debian/libwings-dev.examples
    - New file; install WINGs examples.
  * debian/libwmaker-dev.install
    - Install libwmaker pkg-config file.
  * debian/patches/50_def_config_paths.diff
    - Remove unnecessary patch. It added /etc/GNUstep/Defaults to
      the DEF_CONFIG_PATHS macro, but the files needed in the paths
      referenced in this macro (in particular, menu, autostart, and
      exitscript) will not be located there.
  * debian/patches/53_Debian_WMState.diff
    - Update patch.  The path to WPrefs is already set correctly
      during build; we do not need to set it explicitly.
  * debian/README.Debian
    - Remove notes about upgrading from very old (15+ years ago)
      versions of Window Maker.
  * debian/watch
    - Bump to uscan v4 and simplify using new strings.
  * debian/wmaker.dirs
    - Remove unnecessary file
  * debian/wmaker-common.dirs
    - Remove redundant lines.
  * debian/wmaker-common.docs
    - Do not specify installation of debian/copyright;
      dh_installdocs already installs it by default.
  * debian/wmaker-common.{docs,install}
    - Move installation of various README files from dh_install
      to dh_installdocs.
  * debian/wmaker-common.install
    - Simplify by giving directories instead of individual files
      where possible.
  * debian/wmaker-common.links
    - Remove unnecessary file. It created a link which was a
      workaround for a bug fixed in the latest upstream release.
  * debian/wmaker-common.maintscript
    - Sort with wrap-and-sort.
  * debian/rules
    - New override_dh_installdocs target; contains code renaming
      README files from override_dh_install target.

  [ Andreas Metzler ]
  * Drop Rodolfo García Peñas from uploaders. - Thanks for your work!
    Closes: #866854
  * 10_util-fix-parsing-of-XDG-menus-with-multiple-groups.patch from upstream
    GIT next: Fix wmmenugen parsing of XDG menu files with more than one
    group.

  [ Doug Torrance / Andreas Metzler ]
  * Add dependency on wmaker-common (>= ${source:Version}) to libwutil5 and
    libwings3 to make it possible to use these libraries without wmaker.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jul 2017 11:43:39 +0200

wmaker (0.95.8-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Menus may be shaded (Closes: #72038).
    - Follow window placement rules when placing windows on non-active
      workspaces (Closes: #181735).
    - Windows list sorted by workspace (Closes: #280851).
    - New keyboard shortcuts (Closes: #306808).
    - Default menu uses correct path to WPrefs (Closes: #851737).
    - Use PKG_PROG_PKG_CONFIG macro to allow cross building
      (Closes: #853236).
  * debian/control
    - Add xterm to Suggests as it is referenced in the default Window
      Maker menus (LP: #1429495).
  * debian/libwraster*
    - Rename libwraster5 -> libwraster6 for soname version bump.
  * debian/patches
     - Remove patches which were either applied or otherwise made
       unnecessary with the new upstream release.  In particular,
       + 51_wmaker_man.diff
       + 55_ungif_problem.diff
       + 56_ignore_runstatedir.diff
       + 57_ignore_with-aix-soname.diff
       + 60_fix_wraster_symbol_versioning.diff
       + 61_fix_wmmenugen_segfault.diff
  * debian/rules
    - Use new --with-defsdatadir configure option to specify global
      defaults directory instead of old GLOBAL_DEFAULTS_SUBDIR macro.
    - Use renamed --with-xlocale configure option instead of old
      --with-locale.
    - Drop --with-localedir configure option, as it does not exist.
      It should have been --localedir, but the default is what we
      want anyway.
    - Add -Wl,--as-needed to LDFLAGS to avoid useless dependencies.
  * debian/wmaker-common.install
    - Update path for system WMGLOBAL and WMState config files.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 13 Mar 2017 14:26:52 -0400

wmaker (0.95.7-8) unstable; urgency=medium

  * debian/control
    - Add libwmaker1 to libwmaker-dev Depends (Closes: #857164).

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 08 Mar 2017 10:59:29 -0500

wmaker (0.95.7-7) unstable; urgency=medium

  * Add missing license information to debian/copyright.
  * Fix segfault in wmmenugen (Closes: #844783).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 19 Nov 2016 10:35:50 -0500

wmaker (0.95.7-6) unstable; urgency=medium

  * Split wxcopy and wxpaste into new wmaker-utils package (Closes: #78119).
  * Restore libwmaker packages.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 09 Mar 2016 00:08:43 -0500

wmaker (0.95.7-5) unstable; urgency=medium

  * Clean up debian/copyright. Add some files which were missed in the LGPL
    paragraph and bump its version to 2+.  Restore debian/* paragraph.
  * Remove useless debian/*.changelog-upstream files.
  * Remove out of date file README.build.
  * Drop wmaker-dbg package in favor of automatically generated wmaker-dbgsym.
  * New file debian/wmaker-common.maintscript; removes obsolete config files
    (Closes: #726075).
  * Do not use buggy --enable-randr configure option (Closes: #816993).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 07 Mar 2016 11:04:33 -0500

wmaker (0.95.7-4) unstable; urgency=medium

  * Update Vcs-Browser to use https; fixes vcs-field-uses-insecure-uri Lintian
    warning.
  * Fix typo in README.Debian; fixes spelling-error-in-readme-debian Lintian
    warning.
  * Enable all hardening flags; fixes hardening-no-{bindnow,pie} Lintian
    warnings.
  * Bump Standards-Version to 3.9.7, no changes required.
  * 57_ignore_with-aix-soname.diff: Ignore missing documentation for
    --with-aix-soname in INSTALL-WMAKER (Closes: #814213).

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 12 Feb 2016 22:27:08 -0500

wmaker (0.95.7-3) unstable; urgency=low

  * Patch back libwraster symbol version to LIBWRASTER3. Temporarily mark
    RDrawLine@LIBWRASTER3 with a dep >= 0.95.7-3~ to force lockstep upgrades
    from broken 0.95.7-2. Closes: #811304

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Jan 2016 20:19:27 +0100

wmaker (0.95.7-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Drop unused (since at least 0.95.0+20111028-1) b-d on grep-dctrl.
  * Upload to unstable.

  [ Doug Torrance ]
  * Switch Build-Depends from libtiff5-dev to libtiff-dev for possible future
    libtiff transitions; also allows backports to earlier releases, e.g.,
    wheezy/precise.
  * The theme that was removed in version 0.92.0-6 has been reintroduced as an
    option, now named "DebianLegacy".  Because it now contains two themes, the
    directory debian/debianfiles/Theme has been renamed to Themes.  The file
    Debian.theme.txt in this directory, which actually describes the
    DebianLegacy theme but was never removed, has been renamed to
    DebianLegacy.txt.  A corresponding paragraph has been added to
    debian/copyright. (Closes: #393143)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jan 2016 17:53:44 +0100

wmaker (0.95.7-1) experimental; urgency=medium

  [ Rodolfo García Peñas (kix) ]
  * New upstream version 0.95.7.
  * debian/changelog, removed debian files (lintian warning).
  * Updated debian/libwings3.symbols.
  * Updated libwraster5.symbols
  * Changed the test for the update-menu command in these files to avoid
    a lintian warning (command-with-path-in-maintainer-script):
    * debian/wmaker.postrm
    * debian/wmaker-common.postrm
  * Removed the Encoding field in debian/debianfiles/wmaker-common.desktop
    to avoid a lintian warning (desktop-entry-contains-encoding-key).
  * Updated debian/rules to include pango support (--enable-pango).
  * Updated all debian/patches only with quilt refresh.
  * Updated some debian files because the manpages are moved from
    section 1x to 1:
    * debian/patches/51_wmaker_man.diff
    * debian/wmaker-common.manpages
    * debian/wmaker.install
    * debian/wmaker.manpages
  * Removed upstream file FAQ.I18N in debian/wmaker-common.docs.

  [ Andreas Metzler ]
  * 56_ignore_runstatedir.diff: Ignore missing documentation for --runstatedir
    in INSTALL.
  * Use dh_autoreconf instead of invoking autogen.sh in the configure target.
  * Simplify debian/rules and use dh_auto_configure, especially for handling
    dpkg-buildflags.
  * wmaker manpage was also moved from section 1x to 1. Fix pointer in
    README.Debian and update-alternatives slave link.

  [ Doug Torrance ]
  * Switch maintenance to Debian Window Maker Team with kix, Andreas, and
    myself as uploaders.
  * Tidy up packaging using wrap-and-sort.
  * Remove Breaks/Replaces wmaker (<< 0.95.0+20111028-3); this version is no
    longer in Debian.
  * Switch Depends to wmaker-common (= ${source:Version}) so common files
    are also updated on upgrade.
  * Add Vcs-* fields to debian/control.
  * Update Format field in debian/copyright.
  * Update debian/watch from sepwatch project.
  * Remove files from debian/source/options which are handled now by
    dh-autoreconf.  Add distros directory (present in upstream git but not
    tarball) and doc files modified during build.
  * Add multiarch support.  In particular, add Multi-Arch fields to
    debian/control, add wildcards for multiarch triplets to debian/*.install,
    and remove --libdir from dh_auto_configure in debian/rules.
  * Use wildcards for locales in debian/wmaker-common.install for
    maintainability.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jan 2016 11:38:11 +0100

wmaker (0.95.6-1.2) unstable; urgency=medium

  * Non-maintainer upload, with maintainer approval.
  * Pull 56_wrlib-add-support-for-release-5.1.0-of-the-libgif.patch from
    upstream to allow building against giflib 5. Closes: #803292

 -- Andreas Metzler <ametzler@debian.org>  Wed, 16 Dec 2015 19:16:51 +0100

wmaker (0.95.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Add Breaks/Replaces for libwraster3-dev; remove Provides for
      libwraster-dev (Closes: #784711).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 21 May 2015 13:34:40 -0500

wmaker (0.95.6-1) unstable; urgency=medium

  * New upstream version 0.95.6. [Closes: #148856]
  * Bumped to standard version 3.9.6. No changes.
  * Removed patch 55_typo.diff because is now in upstream.
  * Patch 56_ungif_problem.diff updated:
    * New name: 55_ungif_problem.diff
    * Now udpates the file m4/wm_imgfmt_check.m4, because upstream moved the
      ungif code from configure.ac to this m4 file.
  * Removed Encoding in debianfiles/wmaker-common.desktop.
    * The Encoding key is now deprecated by the FreeDesktop.
  * Moved library libwings2 to libwings3.
    * Changed in debian/control.
    * Moved libwings2.changelog-upstream to libwings3.changelog-upstream.
    * Moved libwings2.install to libwings3.install.
    * Moved libwings2.symbols to libwings3.symbols.
  * Moved libwraster3-dev to libwraster-dev.
    * Changed in debian/control.
    * Moved libwraster3-dev.changelog-upstream to
      libwraster-dev.changelog-upstream.
    * Moved libwraster3-dev.install to libwraster-dev.install.
    * Moved libwraster3-dev.docs to libwraster-dev.docs.
    * Moved libwraster3-dev.manpages to libwraster-dev.manpages.
      * Updated symbols.
  * Moved libwraster3 to libwraster5.
    * Changed in debian/control.
    * Moved libwraster3.changelog-upstream to libwraster5.changelog-upstream.
    * Moved libwraster3.docs to libwraster5.docs.
    * Moved libwraster3.install to libwraster5.install.
    * Moved libwraster3.symbols to libwraster5.symbols.
      * Updated symbols.
  * Moved libwutil3 to libwutil5.
    * Changed in debian/control.
    * Moved libwutil3.changelog-upstream to libwutil5.changelog-upstream.
    * Moved libwutil3.install to libwutil5.install.
    * Moved libwutil3.symbols to libwutil5.symbols.
      * Updated symbols.
  * Removed WindowMaker/Icons/sound.tiff in debian/copyright.
    * Avoid lintian warning.
  * Added Keywords in debianfiles/wmaker-common.desktop.
    * Avoid lintian warning.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Thu, 09 Oct 2014 05:59:36 +0200

wmaker (0.95.5-2) unstable; urgency=low

  * New patch debian/patches/56_ungif_problem.diff. [Closes: #733353]
    This patch removes the link against -lungif.
  * Bumped to standard version 3.9.5. No changes.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Tue, 31 Dec 2013 00:20:43 +0100

wmaker (0.95.5-1) unstable; urgency=low

  * New upstream version 0.95.5. [Closes: #723840]
    - New WUtil library version 3.
      - Updated debian/control file, replacing libwutil2 with libwutil3.
      - Files moved in debian folder:
        - libwutil2.changelog-upstream -> libwutil3.changelog-upstream
        - libwutil2.install -> libwutil3.install
      - Removed file libwutil2.symbols
      - New file libwutil3.symbols
  * "Build-Depends: libtiff5-dev" in packages wmaker and libwraster3-dev,
    since libtiff-dev introduces dependency to libtiff4 which is in oldlibs.
  * Included the word "WindowMaker" in the wmaker package description,
    to found it easily. [Closes: #685424]

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Sun, 22 Sep 2013 10:08:02 +0200

wmaker (0.95.4-2) unstable; urgency=low

  * Package moved from experimental to unstable and updated.
  * Changed permissions to menu-methods/wmaker to a+x. Updated the
    debian/wmaker-common.postinst and debian/wmaker.postinst [Closes: #705160]
  * debian/control
    - Removed DM Upload flag (obsolete).
    - Updated maintainer email address, from kix@kix.es to kix@debian.org.
    - Now using libtiff-dev to build packages (libtiff4-dev is in oldlibs).
    - Removed xosview as suggested package (not in all archs).
  * Bumped to standard version 3.9.4.

 -- Rodolfo García Peñas (kix) <kix@debian.org>  Tue, 06 Aug 2013 06:34:14 +0200

wmaker (0.95.4-1) experimental; urgency=low

  * New upstream version 0.95.4.
    - Better icon management. [Closes: #35587, #404729]
    - Now cpp is not needed. Updated the debian/README.Debian file
    - New symbols in debian/libwutil2.symbols
  * Updated some icon paths in debianfiles/conf/WindowMaker
    - Removed ~/pixmap folder
  * debian/control:
    - Debconf version 9 (see debian/compat too).
    - New debug scheme for multi-platform.
      Removed debian/wmaker-dbg.dirs, because the path for debug
      files is now using hashes (/usr/lib/debug/build-id).
  * debian/rules:
    - Removed the get-*-flags scripts fix. Not needed (and was wrong).
    - Removed the HOSTSPEC stuff. Not needed with debconf 9.
  * debian/README.Debian:
    - Changed /etc path for appearance.menu.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 03 Jan 2013 00:17:31 +0100

wmaker (0.95.3-2) unstable; urgency=low

  * Hardened. debian/rules changed.
  * DM-Upload-Allowed set.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 10 Jun 2012 23:35:31 +0200

wmaker (0.95.3-1) unstable; urgency=low

  * New upstream release 0.95.3
    * Removed debian/clean file. Upstream removes now the files.
  * Bumped to standard version 3.9.3
  * Important!: Removed symbol "W_DraggingInfo" in libwutil2 and
    libwings2, because the struct W_DraggingInfo is now declared
    as "typedef", therefore the struct is not included.
    This change is included in upstream, see line 126 of the file
    WINGs/WINGs/WINGsP.h
  * Patch 53_Debian_WMState.diff changed, because the WMState file
    in upstream is now different. Now, the dock launch WPrefs.
  * Removed /etc/X11/WindowMaker files.
    * Removed from debian/wmaker-common.dirs
    * Removed (duplicated) files in debian/wmaker-common.install
    * New path for menu.hook: /usr/share/WindowMaker
      * Changed in the menu-method files (wmaker and wmappearance.
    * Removed menu.posthook and menu.prehook.
  * Changed the menu behaviour. Applications/* contents moved to
    the root menu.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Wed, 23 May 2012 21:32:22 +0200

wmaker (0.95.2-1) unstable; urgency=low

  * New upstream version 0.95.2 [Closes: #69669, #486542, #270877]
    [Closes: #283240, #48550, #297019, #108432, #72917]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 14 Feb 2012 23:58:45 +0100

wmaker (0.95.1+20120131-1) unstable; urgency=low

  * New upstream version 0.95.1 [Closes: #304480]
  * Patch debian/52_architectures.diff is now included in upstream.
    - The patch file was deleted.
  * The WINGs's file proplist-compat.h is removed in upstream.
    - Removed the line in debian/libwings-dev.install
  * Updated debian/libwutil2.symbols with new symbol.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 29 Jan 2012 16:16:15 +0100

wmaker (0.95.0+20111028-4) unstable; urgency=low

  * libpng12-dev dependencies changed to libpng-dev. [Closes: #648123]
  * wterm package suggestion removed.
  * Menu shows "Run..." option. [Closes: #165075]
    Thanks to Andreas Tscharner for their patch.
  * Menu shows the background files [Closes: #655122]
    * Added patch 54_Debian_wmmacros.diff.
      Based on changelog: Marcelo E. Magallon Tue, 17 Nov 1998
  * Xterm and WMPrefs are now Debian specific.
    * Added patch 53_Debian_WMState.diff.
      Based on changelog: Marcelo E. Magallon Sun, 26 Nov 2000

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sat, 07 Jan 2012 02:06:33 +0100

wmaker (0.95.0+20111028-3) unstable; urgency=low

  * Fix wmaker-common dependencies. [Closes: #654668]
    * Manpages moved from wmaker-common to wmaker (Lintian problem).
  * New patch 52_architectures: New architectures kfreebsd* and Hurd.
    [Closes: #654715]
  * Removed old stuff in wmaker.post* and wmaker-common.post* about
    update-alternatives.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 5 Jan 2012 01:02:21 +0100

wmaker (0.95.0+20111028-2) unstable; urgency=low

  * Fix to the FTBFS. [Closes: #654524]
  * New debian/watch file

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Wed, 4 Jan 2012 00:03:22 +0100

wmaker (0.95.0+20111028-1) unstable; urgency=low

  * New upstream version 0.95.0, now from git. [Closes: #401900]
    [Closes: #514438, #607550, #218110, #583734, #105351, #549157]
    [Closes: #283610, #311563, #310285, #329783, #280819, #284048]
    [Closes: #292391, #361241, #364290, #148370, #287459, #122076]
    [Closes: #175503, #79598, #78088, #68381, #38184, #41434, #41434]
    [Closes: #94960, #39543, #63265, #69499, #94446, #77488, #329783]
    Thanks to Andreas Tscharner for their bug revision.
    * This new version is based in wmaker-crm a wmaker fork, because
      wmaker (original) is not updated.
  * New debian/rules file. [Closes: #590244]
    * Many many changes
    * /usr/lib/WindowMaker/WindowMaker is now /usr/lib/WindowMaker/wmaker
      * wmaker script launch now /usr/lib/WindowMaker/wmaker
  * New maintainer. [Closes: #632875]
  * New package wmaker-common (arch independent files).
  * Removed the asclock diversions from the wmaker install scripts
    wmaker.postrm and wmaker.preinst because asclock binary is not
    included in wmaker package (see asclock package).
  * New package wmaker-common with the arch independent files.
  * debian/patches are now DEP-3.
  * debian/copyright is now DEP-5.
  * Bumped Standars-Version 3.9.2.
  * Manpages moved to upstream.
  * Solved problems with .la files (lintian clean).
  * libwmaker0-dev isn't included, because was removed in upstream.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 1 Jan 2012 20:24:32 +0100

wmaker (0.92.0-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA team.
  * debian/patches/90_binutils_gold.diff
    - Fix FTBFS from indirect linking to X11 in debian/control
      (Closes: #556677)
  * Debian S-V 3.9.2, no changes

 -- Scott Howard <showard@debian.org>  Fri, 16 Dec 2011 19:30:17 -0500

wmaker (0.92.0-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la files. Closes: #633289.
  * Use dh_clean instead of dh_prep in the clean target to stop shipping
    temporary debhelper files.

 -- Regis Boudin <regis@debian.org>  Tue, 20 Sep 2011 19:55:32 +0100

wmaker (0.92.0+git-0) unstable; urgency=low

  * Add libxmu-dev to build-depends. (Martin Dietze)
  * Pulled from 0.92.0-8.2 NMU:
    + Add ${misc:Depends} to all package dependencies. (Lintian
      debhelper-but-no-misc-depends)
    + [debian/control] Move homepage from description text to homepage
      field. (Lintian description-contains-homepage)
    + Use dh_prep instead of "dh_clean -k" (dh-clean-k-is-deprecated). However
      do not replace instances of dh_clean without -k option. Closes: #590244
    + Build-Depend on debhelper 7.
    + Use ${binary:Version} instead of deprecated ${Source-Version}
      (substvar-source-version-is-deprecated).
  * Invoke ./configure mit correct --build argument, as per
     /usr/share/doc/autotools-dev/README.Debian.gz.
  * Remove ./libtool on clean, otherwise it is not possible build twice from
    the same unpacked sourcetree.
  * Use dpkg-source v3 instead of home-grown patch system.
  * Polish build system:
    + Drop dead code from debian/rules.
    + Stop generating debian/*.files dynamically. (These  should not change
      without notice.)
    + Use dh_lintian.
    + Move argument lists for dh_link and dh_installman to files in debian/*
      instead of invoking dh_* multiple times with different arguments.
    + Reorder dh_* invocation, dh_installdeb needs to run after dh_makeshlibs
      (thanks, lintian).
  * New upstream generates dynamic libraries of libWUtils and libWINGs, ship
    them in two new binary packages. Make libwings-dev depend on them.
  * Use latest automake (instead of automake1.4) for building. Closes: #549157
  * Implement the switch from SelectWindowsMouseButton et al. to
    MouseLeftButtonAction = SelectWindows from WindowMaker 0.65 in Debian's
    customized defaults. Closes: #116963
  * Add libxrandr-dev to build-depends, enabling automatic wmaker restart on
    resolution changes.
  * Built from wmaker-crm fork.
    Includes these patches for these issues:
    + display corruption on non 24bpp displays. Closes: #514438
    + putty in wine crashes wmaker. Closes: #401900
    + segfault on missing rgb.txt (WINGs does not require rgb.txt anymore git
      577b3ee9492b5e26e6fdabb4059ead7428f09864) Closes: #364290
    + wmsetbg crashing on big png images. (Fixed by git
      2ccc8e4a79a3179454d82b9acc574135ea6369a4, switching from alloca to
      calloc - wrlib/png.c) Closes: #148370
    + Fix compilation with LDFLAGS=-Wl,--no-add-needed  Closes: #556677
  * Provide detached debugging symbols in wmaker-dbg package.
  * Build-depend on automake 1.11 or later.
  * Rename libwutil1 to libwutil2. Soname changed because of incompatible
    abi/api changes

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Aug 2010 10:56:00 +0200

wmaker (0.92.0-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "please depend on libjpeg-dev, not libjpeg62-dev": change
    build-dependency and dependency. (Closes: #569245)
  * Bump to standard version 3.8.4, adjusted following lintian warnings:
    - debhelper-but-no-misc-depends
    - dh-clean-k-is-deprecated
    - package-lacks-versioned-build-depends-on-debhelper 7
    - substvar-source-version-is-deprecated
    - description-contains-homepage
    Overridden the following lintian error:
    - menu-method-should-include-menu-h

 -- Karl Ferdinand Ebert <kfebert@gmail.com>  Tue, 23 Feb 2010 09:31:49 +0100

wmaker (0.92.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with new libtool: update the path of libtool's ltmain.sh in
    the prerequisite of the ltmain.sh rule in debian/rules, which moved
    from /usr/share/libtool/ltmain.sh to /usr/share/libtool/config/ltmain.sh
    and version the build dependency on libtool accordingly, making sure a
    build can't be attempted against an older libtool: libtool (>= 2.2.6a).
    Thanks to Daniel Schepler for reporting (Closes: #527511).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 01 Jul 2009 02:16:01 +0200

wmaker (0.92.0-8) unstable; urgency=low

  * Standards Version 3.8.0.1
  * Moved menu items into proper categories
  * Suggest programs in default Info menu
  * Restored default keybindings (Closes: #394802)
  * Applied Pedro Gimeno's keyboard timing patch (Closes: #102314)
  * Removed installation of documents that don't exist anymore
  * Removed empty /usr/include directory from wmaker package

 -- "John H. Robinson, IV" <jaqque@debian.org>  Thu, 10 Jul 2008 19:35:34 -0700

wmaker (0.92.0-7) unstable; urgency=low

  * New Maintainer.
    Many thanks to the previous maintainers.

 -- "John H. Robinson, IV" <jaqque@debian.org>  Wed, 12 Dec 2007 05:52:58 +0000

wmaker (0.92.0-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * 70_fix_overrun.diff: New patch, fix buffer overrun when creating new
    workspaces in Romanian locales. (Closes: #397412)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 15 Dec 2006 18:22:42 +0100

wmaker (0.92.0-6) unstable; urgency=medium

  * New Maintainer.
  * Fixed URLs in debian/copyright and debian/control.
  * Bump standards version.
  * Added manual page patch for wmagnify. (Closes: #358333)
  * Added more manual pages patch. (Closes: #302048)
  * Updated build-depends and depends (X transition).
  * Updated FSF address in debian/copyright.
  * Removed debian/conffiles since /etc stuff is automatically conf file.
  * Updated the default theme. (Closes: #286344)
  * Added Etch artwork background image of
    Andre L. R. Ferreira. (Closes: #59625)
  * Replaced generated postinst with a cleaned wmaker.postinst.
  * NMU ACKs. (Closes: #249320, #249461, #361096, #349704, #349187, #150328)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 25 Sep 2006 22:41:28 +0200

wmaker (0.92.0-5.3) unstable; urgency=low

  * Non-maintainer upload.
    Fix library search path: Add XLFLAGS to src/Makefile.am and
    util/Makefile.am. Thanks to Goswin von Brederlow for the patch.
    (Closes: #358540)

 -- Frederik Schüler <fs@debian.org>  Thu,  6 Apr 2006 14:29:05 +0000

wmaker (0.92.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add libxinerama-dev to the list of build dependencies.
    (Closes: #349524, #349466)

 -- Frederik Schüler <fs@debian.org>  Tue, 24 Jan 2006 16:43:03 +0000

wmaker (0.92.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #347058)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 14:23:19 +0100

wmaker (0.92.0-5) unstable; urgency=low

  * Wee!
  * debian/control: bring old code back from the death to match -4 (closes:
    bug#321307)
  * Weeheeh!

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 19 Sep 2005 20:42:40 -0600

wmaker (0.92.0-4) unstable; urgency=low

  * debian/control: b-d on automake1.4, libtool (closes: bug#328781)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 17 Sep 2005 19:15:48 -0600

wmaker (0.92.0-3) unstable; urgency=low

  * debian/control, debian/rules: use grep-dctrl to extract version from
    dpkg-parsechangelog output
  * debian/rules: add 2005 to copyright.
  * debian/rules: it's "gnustepdir" not "appspath" (the change was
    documented, I just didn't do anything about it) (thanks Paul,
    Daniel) (closes: bug#320429)
  * debian/rules: reverse sort list of patches (thanks Daniel)
  * debian/control: add libxkbfile-dev to B-D (thanks Harald) (closes:
    bug#322894)
  * configure.ac: used valid x86 but invalid x86-64 instructions to test for
    x86.  (thanks Len) (sent upstream) (closes: bug#321307)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 15 Sep 2005 14:40:57 -0600

wmaker (0.92.0-2) unstable; urgency=low

  * src/screen.c: upstream applied patch.  Remove redundant code.
  * debian/patches/10_gcc4_asm.diff: get to compile with GCC 4.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 09 Jul 2005 18:34:19 -0600

wmaker (0.92.0-1) unstable; urgency=low

  * New upstream version
  * Removed patches applied upstream: 20_endian+64bit.diff,
    60_optional_switch_panel.diff, 70_gnustep_focus.diff, 30_menu_stuff.diff,
    35_nocycleraise.diff
  * Updated patches: debian/patches/21_endian+64bit.diff

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 09 Jul 2005 10:58:02 -0600

wmaker (0.91.0-9) unstable; urgency=low

  * debian/patches/21_endian+64bit.diff: stolen from Gentoo (closes:
    bug#311563)
  * debian/patches/70_gnustep_focus.diff: taken out of CVS, fixes
    problem with GNUstep applications.
  * debian/rules: install wmmacros (closes: bug#315984)
  * Ack Steve's NMUs (closes: bug#279489)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 02 Jul 2005 17:00:31 -0600

wmaker (0.91.0-8) unstable; urgency=low

  * debian/rules: don't ship wkdemenu.pl (closes: bug#189542)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 06 Feb 2005 11:47:37 -0600

wmaker (0.91.0-7.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Fix a glaring typo in the previous NMU patch that made it a complete
    no-op.  Thanks to Steinar Gunderson for catching me on this.
    Really closes: #279489.

 -- Steve Langasek <vorlon@debian.org>  Tue, 31 May 2005 07:41:06 -0700

wmaker (0.91.0-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Make sure wmaker falls back to "fixed" in the absence of gsfonts-x11,
    since X clients can't depend directly on font packages for their
    operation.  Thanks to Timo Lindfors for finding this bug.
    Closes: #279489.
  * Remove debian/patches/40_switchpanel.diff, which conflicts with
    debian/patches/60_switchpanel.diff; merge the patches together,
    otherwise dpatch doesn't unpatch cleanly in the "clean" target.

 -- Steve Langasek <vorlon@debian.org>  Wed, 11 May 2005 22:56:50 -0700

wmaker (0.91.0-7) unstable; urgency=low

  * debian/rules: move the ugly hack earlier in the rules, I'm stepping
    on my own toes.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 29 Jan 2005 06:13:57 -0600

wmaker (0.91.0-6) unstable; urgency=low

  * debian/patches/35_unix_cycling.diff: stolen from CVS, recover Unix
    cycling before people get mad (myself included) (closes: bug#289509)
  * debian/patches/60_optional_switch_panel.diff: stolen from CVS, make
    switch panel optional.  Closes the other half of 289509 (if you are
    going to report multiple issues, submit multiple bugs, I don't mind
    that)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 11 Jan 2005 20:58:23 -0600

wmaker (0.91.0-5) unstable; urgency=low

  * debian/patches/40_switchpanel.diff: Paul Seelig pointed to a patch
    by Iain Patterson that fixes a slight glitch with the switch panel.
    (closes: bug#289195)
  * debian/patches/20_endian+64bit.diff: pulled out of CVS.  Dan Pascu
    suggested to use this instead, since it actually fixes the reported
    problems. Thanks Dan! (closes: bug#281185)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 07 Jan 2005 19:50:36 -0600

wmaker (0.91.0-4) unstable; urgency=low

  * debian/rules: Ugly hack to put defaults where WindowMaker is looking for
    them (closes: bug#288730)
  * debian/patches/20_endian+64bit.diff: fix from David M. Cooke (resent
    upstream) (closes: bug#288857)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 05 Jan 2005 21:06:43 -0600

wmaker (0.91.0-3) unstable; urgency=low

  * debian/control: add libxft-dev to libwings-dev dependencies
  * debian/control: remove hermes from libwraster3-dev's dependencies.
  * debian/rules: get-wings-flags --libs doesn't include -lXft (closes:
    bug#283283)
  * debian/patches/30_menu_stuff.diff: fix GNUstep problems (closes:
    bug#286343)
  * debian/patches/50_net_wm_name.diff: add _NET_WM_NAME to helper window.
  * debian/control: add libfontconfig1-dev to libwings-dev Dependencies (and
    to Build-Depends, too) (thanks to Kevin McCarty for spotting this)
  * debian/patches/35_nocycleraise.diff: include a couple fixes from cvs
    for cycling.c; attempt to fix the "always raise on focus change"
    misbehaviour; thanks to Marc Martinez for the actual work.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 14 Nov 2004 14:22:04 -0600

wmaker (0.91.0-2) unstable; urgency=low

  * debian/wmaker.menu-method: output UTF-8 (thanks Bill) (closes: bug#280011,
    bug#280199)
  * debian/rules: include zh_TW again (thanks Geoffrey) (closes: bug#280098)
  * debian/wmaker: don't recurse into subdirectories (closes: bug#279577)
  * debian/README.Debian: removed outdated information
  * src/misc.c: Patch stolen from CVS.
  * debian/rules: Add support for noopt DEB_BUILD_OPTIONS
  * debian/README.build: remove old info, update current
  * debian/patches/20_endian+64bit.diff: patch from Julien Blache to fix
    endianess and 64-bit problems (closes: bug#281185, bug#279884)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 10 Nov 2004 14:05:30 -0600

wmaker (0.91.0-1) unstable; urgency=low

  * debian/control: fix tyops (closes: bug#277247)
  * debian/wmaker: fix tpo (converfonts -> convertfonts)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 30 Oct 2004 10:07:53 -0600

wmaker (0.91.0-0) unstable; urgency=low

  * New upstream release
  * Upstream incorporated fixes in util/Makefile.in
  * debian/rules: make a symlink from /usr/bin/WindowMaker to
    /usr/lib/WindowMaker/WindowMaker, else restart fails.  This will be
    removed in sarge+1.  (woody has a /usr/bin/WindowMaker, sarge will, too)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 26 Oct 2004 13:56:16 -0600

wmaker (0.90.0-5) unstable; urgency=low

  * debian/patches/20_make-vdesktop-dynamic.diff: make the vdesktop setting
    modifiable at runtime (i.e. no need to restart)
  * src/defaults.c: set VirtualEdgeThickness to 0 (disables the virtual
    desktop code)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Oct 2004 18:48:52 -0600

wmaker (0.90.0-4) unstable; urgency=low

  * Here's to you, Dan :-)
  * debian/control: Dan Pascu pointed out that the correct build dependency is
    Xft, not fontconfig.
  * debian/wmaker: He also pointed out that WMGLOBAL needs to be converted,
    too.
  * Hopefully this release will be ironed out when it finally manages to get
    past whichever girl is the one that has to do her thing...

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Oct 2004 12:01:12 -0600

wmaker (0.90.0-3) unstable; urgency=low

  * debian/control: added fontconfig and removed hermes from build
    dependencies.
  * debian/wmaker: run convertfonts if needed.
  * debian/rules, debian/wmaker.dirs: put WindowMaker in
    /usr/lib/WindowMaker/WindowMaker.  Likewise for convertfonts.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Oct 2004 08:20:06 -0600

wmaker (0.90.0-2) unstable; urgency=low

  * Readded patches accidentally forgotten.  Thanks Marc-Christian Petersen.
  * Fix urgency, I hope.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Oct 2004 07:34:27 -0600

wmaker (0.90.0-1) unstable; urgency=medium

  * New upstream version
  * Ack NMUs.  Many thanks to Bill for doing so much of the grunt work.
    Closes: #203817, #262545, #262844, #250018, #250326, #250315, #232258,
    #43887, #92265, #154671, #115682, #241554, #220497, #241520, #165139,
    #196936, #234587, #192741, #243612, #195102.
  * AFAIUI the following entry from the previous changelog does indeed
    correspond to a bugfix (IOW, I can't reproduce it anymore).
        + Change menu-methods to mark GNUSTEP_USER_ROOT as an absolute path.
          Together with menu 2.1.16, this will fix bugs #252637 and #252891.
          Closes: #252637, #252891
  * debian/rules: Is zh_TW.Big5 still fubared?
  * debian/rules: remove HINTS, DEBUG, SOUND
  * debian/rules: clean up patch rules
  * debian/rules: Disable messing around with automake and stuff.
  * debian/control: libwraster3

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 23 Oct 2004 13:02:08 -0600

wmaker (0.80.2-0.4) unstable; urgency=medium

  * NMU with Marcelo approval.
  * Add patch 12_wm_focus.diff (closes: #203817). Thanks to Alexis S. L.
    Carvalho, Alexey Spiridonov and Julien Wajsberg.
  * debian/wmaker.menu-method, debian/appearance.menu-method,
    debian/wmakerpl.menu-method:
    + Change menu-methods to mark GNUSTEP_USER_ROOT as an absolute path.
      Together with menu 2.1.16, this will fix bugs #252637 and #252891.

 -- Bill Allombert <ballombe@debian.org>  Fri,  6 Aug 2004 00:11:37 +0200

wmaker (0.80.2-0.3) unstable; urgency=medium

  * NMU
  * Recompile against libtiff4 and change dependencies of libwraster2-dev
    accordingly (Closes: #262545, #262844).

 -- Andreas Metzler <ametzler@debian.org>  Mon,  2 Aug 2004 05:23:32 +0200

wmaker (0.80.2-0.2) unstable; urgency=low

  * NMU with maintainer approval (Thanks Marcelo!)
  * configure.ac: AM_INIT_AUTOMAKE: bump version to 0.80.2 since upstream
    forgot to do it (closes: #250018, #250326).
  * debian/appearance.menu-method: (closes: #250315)
    + Add support for GNUSTEP_USER_ROOT, thanks Patrice Neff.
  * util/wmchlocale.in: (closes: #232258)
    + fix typo preventing script to start, thanks Dirk Schulz.
  * debian/wmaker.menu:
    + Move Exit and Exit Session at top-level (closes: #43887).
    + Move other needs=wmaker entries to WindowManagers/Modules
      (closes: #92265).
  * debian/wmaker.menu-method:
    + Use SHEXEC instead of EXEC (closes: #154671).
  * doc/wmaker.1x: (closes: #115682)
    + Remove duplicate pixmap path. Thanks Daniel Bonniot.
  * debian/rules: get rid of /usr/X11R6/bin/wmaker symlink.

 -- Bill Allombert <ballombe@debian.org>  Mon, 31 May 2004 08:58:54 +0200

wmaker (0.80.2-0.1) unstable; urgency=low

  * NMU with maintainer approval, see #249461.
  * New upstream release, by request of Marcelo (closes: #195102).
  * This version include the fix to wrlib/raster.c.
  * Build with current libtool (1.5.6-1).
  * src/Makefile.am: Fix FTBFS with new libtool.
    + Add @LIBRARY_SEARCH_PATH@.
  * debian/wmaker.menu-methods:
    + Add outputencoding="ISO-8859-1" (closes: #234587).
    + Add support for GNUSTEP_USER_ROOT (closes: #192741, #243612).
    + Use title() not $title and convert " to '.
  * debian/wmaker.menu: quote 'needs' fields. (27 lintian warnings)
  * debian/control:
    + Add Conflicts with menu (<<2.1.10) (needed for shell()).
    + Remove broken link in wmaker description (closes: #196936), thanks Jay
      Bonci.
    + Add Homepage: <http://www.windowmaker.org/> in wmaker description
    + Remove extraneous comma in Uploaders: field.
    + Set libpng build-dependency to libpng12-dev (>= 1.2.5.0-4)
      (closes: #165139).
    + Apply patch from Kevin B. McCarty for more fine grained X11 deps.
      (closes: #241520).
    + Change section of -dev packages to libdevel to match overrides file.
    + Bump Standard-Version to 3.6.1.
    + Remove dots at the end of the short descriptions (3 lintian warnings).
  * debian/wmaker:
    + Apply patch by Kevin B. McCarty to handle spaces in GNUSTEP_USER_ROOT.
      (closes: #220497).
  * debian/wmaker.desktop: Added (closes: #241554), thanks Sylvain Le Gall.
    + DISCLAIMER: This should not be construed as an endorsement of
      /usr/share/xsessions, however. see the comments in #241554.
  * debian/rules:
    + Install wmaker.desktop in /usr/share/xsessions.
    + Add --noscripts to dh_installmenu since we handle them manually.
  * debian/changelog: convert to UTF-8.
    + Remove obsolete user emacs settings (5 lintian warnings).
  * The maintainer scripts below were removed, since they are copy of
    automatically generated scripts by debhelper for the /usr/share/doc
    transition: (14 lintian warnings)
    + debian/libwings-dev.postinst, debian/libwings-dev.prerm
    + debian/libwmaker0-dev.postinst, debian/libwmaker0-dev.prerm
    + debian/libwraster2-dev.postinst, debian/libwraster2-dev.prerm
    + debian/libdockapp-dev.postinst, debian/libdockapp-dev.prerm
    + debian/libwraster2.prerm
  * debian/libwraster2.postinst (2 lintian warnings)
    + Replace debhelper generated part by DEBHELPER token.
    + Fix "unkow" typo.
  * debian/wmaker.postinst.tmpl, debian/wmaker.prerm:
    + Remove /usr/share/doc transition code. (1 lintian warning)
  * debian/wmaker.postinst.tmpl, debian/wmaker.prerm, debian/wmaker.preinst:
    + Add DEBHELPER token. (3 lintian warnings)
  * debian/wmaker.postrm
    + Add DEBHELPER token. (1 lintian warning)
    + Fix inst variable that still refered to wmstyle.

 -- Bill Allombert <ballombe@debian.org>  Tue, 18 May 2004 15:16:28 +0200

wmaker (0.80.1-8) unstable; urgency=low

  * debian/patches/11_alt_focus.diff: patch from the mailing list to fix yet
    another focus problem.  Thanks to Alexey Voinov (voins at
    voins.program.ru)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 10 Aug 2003 10:26:03 +0200

wmaker (0.80.1-7) unstable; urgency=low

  * debian/patches/10_gtk2_flicker.diff: patch lifted from the mailing list to
    fix the GTK+ 2 flashing thing.  Thanks to Alexey Spiridonov
    (lesha at netman.ru) (closes: bug#154362, bug#152892)

 -- Marcelo E. Magallon  <mmagallo@debian.org>  Thu, 31 Jul 2003 14:28:02 +0200

wmaker (0.80.1-6) unstable; urgency=low

  * debian/patches/01_wm-windowlistmenu.diff: update
  * debian/rules: tweak the patch/unpatch stuff to be able to use CVS diffs
  * debian/README.build: document the previous modification
  * debian/patches/01_wm-windowlistmenu.diff: fix thinko (actually call
    initialization function) (closes: bug#177796, bug#178485, bug#178916)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 01 Feb 2003 13:34:15 +0100

wmaker (0.80.1-5) unstable; urgency=low

  * debian/patches/*.patch: rename to .diff, duh. (closes: bug#165636)
    debian/rules scans for debian/patches/*.diff *only*.
  * debian/README.build: ok, ok, I complain about undocumented obscure build
    systems and I fail to document this thing myself.
  * src/xinerama.c: add a missing WMRect declaration which prevents the
    xinerama-enabled Window Maker from building.  The patch mentioned in the
    bug report has been merged upstream AFAICS.  (closes: bug#112670)
  * debian/README.Debian: added Xinerama-building info (thanks to Craig
    Ringer).
  * wrlib/raster.c: update fix for 168164 from upstream.
  * debian/patches/06_windows_cycling_fix.diff: fix for NON-windows-style
    cycling bug. (thanks to Jan Hudec) (closes: bug#167101)
  * debian/control: add Conflicts with the current versions of everything that
    declares a Build-Dependency on wraster.
  * debian/rules: update shlibs info for libwraster2.
  * debian/control: build depend on libpng12-0-dev (ugly names are trendy, I
    see)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 Jan 2003 18:10:27 +0100

wmaker (0.80.1-4) unstable; urgency=low

  * Correct buffer overflow DSA-190-1 (closes: bug#168164)

 -- "John H. Robinson, IV" <jaqque@debian.org>  Sat,  9 Nov 2002 10:37:59 -0800

wmaker (0.80.1-3.1) unstable; urgency=low

  * debian/patches/*.patch renamed to .diff, duh
  * debian/patches/99_trance.diff: transparent menus.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 14 Oct 2002 22:13:10 +0200

wmaker (0.80.1-3) unstable; urgency=low

  * debian/patches/00_window_levels.diff: Patch from Jeff Teunissen to
    fix some invalid pointer dereferences.
  * debian/control: add John and Martin to the Uploaders field.
  * (XXX: UNTESTED) debian/patches: new patches from Marc-Christian Petersen
        01_wm-windowlistmenu.patch: accepted upstream
        02_wm-WINGs-fix.patch: simple WINGs patch
        03_wm_autoscale.patch: decide automatically if a background has to be
            scaled or tiled.
        05_wm_multiscreen.patch: fixes some xinerama(?) bugs

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 06 Oct 2002 11:33:48 +0200

wmaker (0.80.1-2) unstable; urgency=low

  * debian/WMWindowAttributes: correct path for WPrefs.tiff, thanks to Lionel
    Elie Mamane (closes: bug#106737)
  * Scanned sources for other instances of /Apps; got to double check this
  * src/misc.c: rework MakeCPPArgs()
  * src/misc.c: add DefaultConfigPath(), I'm trying to get WindowMaker to use
    GNUSTEP_USER_ROOT more uniformly.
  * Replaced DEF_CONFIG_PATH with DefaultConfigPath() all over the place
    (closes: bug#154030)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 27 Jul 2002 12:17:23 +0200

wmaker (0.80.1-1) unstable; urgency=low

  * New upstream, yay!
  * debian/patches/*, remove
  * debian/rules: filter out zh_TW.Big5, msgfmt barfs on it.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  4 Jul 2002 10:17:29 +0200

wmaker (0.80.0-5) unstable; urgency=low

  * Ewww... there's a big mess with libpng2/libpng3 it seems.
  * debian/control: Build depend on libpng2-dev.  Make libwraster2-dev depend
    on libpng2-dev.
  * debian/rules: make get-wraster-flags *not* include things other than
    -lwraster.  Let the linker figure out the dependencies.
  * Change shlib.deps for libwraster2 to this version to make sure that newly
    compiled packages get the proper library.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 May 2002 20:24:56 +0200

wmaker (0.80.0-4) unstable; urgency=high

  * debian/patches/01_buffer_overflow.diff: buffer overflow patch from
    upstream (apply after next patch!)
  * debian/patches/00_0.80.0.diff: update, fixes several crashes
  * WINGs/wapplication.c: use GNUstep/System and Applications, too. (closes:
    bug#141840)
  * doc/wcopy.1x: change description a little, apparently .SH doesn't
    work with multiple commands and descriptions. (closes: bug#135085)
  * src/defaults.c: fix braino when updating a patch, it's GNUstep/Defaults,
    not GNUstep/Defaults/WindowMaker.  Thanks Torbjørn Andersson (and sorry
    about the long delay) (closes: bug#129466, bug#127718)
  * debian/rules: rm -f src/wconfig.h when configuring wmaker, I'm not sure
    I understand why this is suddenly a problem.
  * debian/control: s/libpng2-dev/libpng-dev/, please send a message with RED
    BLINKING TEXT to d-d-a when you do something like this.  There's a bunch
    of stuff that depends on libpng-dev and another bunch which depends on
    libpng2-dev.  This is not nice for users.  SCREW UP THE AUTOBUILDERS.
  * Ack NMU (closes: bug#141607, bug#129960)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 14 Apr 2002 11:51:36 +0200

wmaker (0.80.0-3.1) unstable; urgency=low

  * Change GNUstep directory to /usr/lib/GNUstep/System (closes: #129960).

 -- Matthias Klose <doko@debian.org>  Sun,  7 Apr 2002 12:00:10 +0200

wmaker (0.80.0-3) unstable; urgency=low

  * debian/copyright: Add LGPL note (closes: bug#131775)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  3 Feb 2002 18:02:56 +0100

wmaker (0.80.0-2) unstable; urgency=low

  * debian/patches/00_0.80.0.diff: 0.80.0 to current CVS, fixes some crashing
    bugs.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  2 Feb 2002 17:17:43 +0100

wmaker (0.80.0-1) unstable; urgency=low

  * Damn.
  * New upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 23 Dec 2001 23:38:49 +0100

wmaker (0.70.0-2) unstable; urgency=low

  * debian/rules: add patch and unpatch targets
  * debian/patches: contains patches that I don't want on my CVS tree for
    whatever reason
  * debian/patches/00_0.70.1.diff: pulled out of CVS, fixes a number of
    bugs in wmaker.
  * debian/rules: include -I/usr/X11R6/include in get-*-flags --cflags
  * debian/rules: add /usr/X11R6/bin/wmaker -> /usr/bin/wmaker symlink to
    accommodate people who hardcode paths.  This will be removed in woody+1.
    (closes: bug#114746)
  * Patch from Les Schaffer to get the GNOME pager working again (closes:
    bug#115177)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 24 Nov 2001 22:15:40 +0100

wmaker (0.70.0-1) unstable; urgency=low

  * New upstream version
  * debian/control: doesn't depend on libproplist anymore

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri,  5 Oct 2001 08:52:51 +0200

wmaker (0.65.1-3) unstable; urgency=high

  * debian/rules: really fix what the previous entry says I fixed.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  4 Oct 2001 14:36:33 +0200

wmaker (0.65.1-2) unstable; urgency=high

  * debian/rules: woops, removed too much information from the get-* scripts

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 Aug 2001 19:27:52 +0200

wmaker (0.65.1-1) unstable; urgency=high

  * New upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 24 Jul 2001 11:43:42 +0200

wmaker (0.65.0-5) unstable; urgency=high

  * debian/wmaker.menu-method: quote menu section names (thanks William)
    (closes: bug#105484)
  * debian/control: added dependencies on foo-dev to libwraster-dev (closes:
    bug#105623)
  * util/wsetfont: remove bashisms, sent upstream (closes: bug#106228)
  * src/switchmenu.c: patch from upstream to fix buffer overflow

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 24 Jul 2001 08:19:47 +0200

wmaker (0.65.0-4) unstable; urgency=low

  * debian/rules: fix assignment of W?FLAGS variables. (closes: bug#103412)
  * Replace sigaction() on SIGPIPE with SIG_DFL to a dummy empty signal
    handler to avoid passing SIG_DFL on SIGPIPEs to children. (thanks Phil)
    (closes: bug#104016)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  4 Jul 2001 09:54:43 +0200

wmaker (0.65.0-3) unstable; urgency=low

  * Use upstream's patch for bug#99311
  * Kill window instance numbers.  This feature drives all the Window Maker
    users I know up the wall.
  * src/wconfig.h.in: cheat regarding the dissapearing WorkSpace name.
    Window Maker is compiled with I18N, which makes LargeDisplayFont
    -*-*-medium-r-normal--24-*, which, with some combination of font
    pakcages, selects some non 8859-1 font, which means nothing is
    displayed.  Changing this to -*-*-bold-r-normal--24-* makes the Xserver
    (?) pick something else.  Someone with a clue regarding MB please help.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 16 Jun 2001 20:29:16 +0200

wmaker (0.65.0-2) unstable; urgency=low

  * We have moved.  Please visit us at our new location in /usr.
  * src/actions.c: fix fullscreen maximization (this way it makes sense to me,
    but I'm not 100% sure this is what the developers intended) (thanks Joey)
    (closes: bug#99311)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  2 Jun 2001 22:26:18 +0200

wmaker (0.65.0-1) unstable; urgency=low

  * New upstream version (AYBABTU)
  * This version fixes the speckles on PowerPC (closes bug#79272)
  * debian/rules: added versioned dependency for libwraster2.
  * debian/rules: undo filtering out of zh_TW.Big5 in LINGUAS (thanks Anthony!)
    (sent new file upstream)
  * po/zh_CH.po: remove -80 from charset, per Anthony's suggestion.  Sent
    upstream.
  * debian/rules: add hermes1-dev to Build-Depends.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 11 May 2001 09:49:18 +0200

wmaker (0.64.0-6) unstable; urgency=low

  * debian/wmaker.menu-method: Fixed reference to menu's documentation
    (closes: bug#90585)
  * debian/control: s/xlib6g-dev/xlibs-dev/
  * debian/control: remove superfluous suggests
  * debian/rules: %s/TMPDIR/DEBTMPDIR/g (/me hides) (thanks zarq)
  * debian/rules: filter-out zh_TW.Big5 in LINGUAS.  Want it back?  Figure out
    what's wrong with it.  I really can't see the problem.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  6 May 2001 15:33:01 +0200

wmaker (0.64.0-5) unstable; urgency=low

  * Woops, typo in code that moves man from X11R6 to share (thanks for noticing,
    Jordi)
  * debian/manpages/WindowMaker.1x: change to '.so man1/wmaker.1x' (thanks to
    joeyh)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 12 Mar 2001 23:03:38 +0100

wmaker (0.64.0-4) unstable; urgency=low

  * WindowMaker/Defaults/Makefile.am: added a missing $(srddir) (sent
    upstream) (thanks Gordon Sadler)
  * debian/rules: got rid of that silly RPATHTOXBINDIR thing.
  * debian/rules: some clean up.
  * debian/manpages/: added manpages for WPrefs and upgrade-wmaker-defaults.
  * debian/rules: use dh_installman to install manpages

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 10 Mar 2001 09:09:08 +0100

wmaker (0.64.0-3) unstable; urgency=low

  * debian/wmaker.prerm: remove 'upgrade' from the cases where the
    x-window-manager alternative is removed. (closes: bug#87333)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 12 Feb 2001 22:53:43 +0100

wmaker (0.64.0-2) unstable; urgency=low

  * redo fix from 0.63.1-4 (partially)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 12 Feb 2001 22:53:43 +0100

wmaker (0.64.0-1) unstable; urgency=low

  * *sigh* I finally upload a fixed get-foo-flags and the next day a new
    upstream comes out.
  * oh, new upstream, btw.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 Feb 2001 23:36:55 +0100

wmaker (0.63.1-4) unstable; urgency=low

  * debian/rules: *sigh* fix /usr/X11R6/include/WINGs.  This might change
    depending on what upstream does in the next version.  For now no other
    debian package should be changed because of this.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 10 Feb 2001 01:13:49 +0100

wmaker (0.63.1-3) unstable; urgency=low

  * debian/rules: remove wmsetup
  * debian/manpages/wmaker.1x: update
  * debian/WindowMaker, WindowMaker/Defaults/WMGLOBAL: MultiByteText set
    to AUTO

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 21 Jan 2001 14:39:05 +0100

wmaker (0.63.1-2) unstable; urgency=low

  * Install /etc/GNUstep/Defaults/WMRootMenu (closes: bug#82195)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 14 Jan 2001 19:19:16 +0100

wmaker (0.63.1-1) unstable; urgency=low

  * New upstream version.  Weee!

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  7 Jan 2001 13:33:39 +0100

wmaker (0.63.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: added dependencies on libwraster-dev and libproplist-dev
    for libwings-dev (closes: bug#49277, bug#74530)
  * debian/rules: put get-*-flags where they belong (sorry, missed this one
    for a long time) (closes: bug#49357)
  * debian/README.Debian: remove reference to second faq (thanks Stephane
    Bortzmeyer) (closes: bug#59822)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  6 Jan 2001 13:24:15 +0100

wmaker (0.62.1-3) unstable; urgency=low

  * Thanks to Matthew Ashton <mashton@stormix.com> for taking a look and
    providing most of the fixes in this release.  (You guys at Stormix are
    cool, did I say that before?)
  * WindowMaker/background.menu: add to submenus: Tiled and Scaled (closes:
    bug#62302)
  * debian/control: Removed hard coded dependency on libproplist0 (wtf
    is that doing there?!?)
  * Bumped standards version to 3.3.1 and added Build-Depends.
  * debian/WMWindowAttributes: added entries for NTerm, NXTerm and KTerm.
  * WindowMaker/Defaults/WMState.in: s/xterm/x-terminal-emulator/ (closes:
    bug#59268)
  * fixed icon for WPrefs.app on the default desktop (closes: #67787)
  * Recompiled using libungif4 (thanks to Jeff "Deek" Teunissen
    <deek@dusknet.dhs.org> for pointing this out)
  * debian/WindowMaker.default: KbdModeLock=No (does this fix the empty
    box on the window titles bug?)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 26 Nov 2000 13:35:51 +0100

wmaker (0.62.1-2) unstable; urgency=low

  * debian/Debian.jpg.uu cropped to have a 4/3 aspect ratio
  * src/misc.c: removed code that inserts -I<path to current file> in the
    preprocessor arguments, it's not required as that is what
    '#include "foo"' does (closes: bug#76317)
  * debian/manpages/wmaker.1x: removed Debian options, there aren't any
    of them now. (closes: bug#76260)
  * debian/wmaker.menu: Added Preferences to WindowManagers (wmaker) menu
    (closes: bug#61284)
  * debian/wmaker.docs: add FAQ.I18N

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 18 Nov 2000 09:49:06 +0100

wmaker (0.62.1-1) unstable; urgency=low

  * New maintainer.
  * src/wconfig.h.in: s/I18N_MB/I18N/g (closes: 58089)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 12 Nov 2000 14:04:06 +0100

wmaker (0.62.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
  * src/moveres.c: removed misplaced patch (somehow trying to fix an
    aspect bug, a patch got merged into the code that draws the resizing
    lines in technical style, sorry Chris, my fault probably)
  * docklib removed upstream... uh?
  * debian/rules: removed docklib references
  * debian/control: removed libdockapp package.
  * debian/rules: s/??.po/*.po/ (don't ignore zh_CN.po and friends)
  * debian/rules: install README.definable-cursor
  * debian/rules: libwraster's version is now 2.
  * debian/control: s/libwraster1/libwraster2/

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 16 Jul 2000 21:07:12 +0200

wmaker (0.61.1-4) frozen unstable; urgency=low

  * Added x-window-manager to Provides: line in control.

 -- Chris McKillop <cdm@debian.org>  Sun,  6 Feb 2000 21:15:36 -0500

wmaker (0.61.1-3) frozen; urgency=low

  * Added --enable-modelock for different X input methods.
  * Added calls to x-terminal-emulator instead of xterm in
    default settings.
  * Cleaned up the control file.

 -- Chris McKillop <cdm@debian.org>  Tue,  1 Feb 2000 00:42:12 -0500

wmaker (0.61.1-2) frozen; urgency=low

  * Merged wmaker-[plain,kde,gnome] into the wmaker package.
    o This new single binary supports all forms of hinting.
  * Added the Debian theme as the default setup for new users.
  * Added support for the x-window-manager convention.

 -- Chris McKillop <cdm@debian.org>  Sun, 16 Jan 2000 20:06:12 -0500

wmaker (0.61.1-1) unstable; urgency=low

  * New upstream release
  * Added linking to /usr/doc in all packages.

 -- Chris McKillop <cdm@debian.org>  Sun, 17 Oct 1999 17:46:58 -0500

wmaker (0.61.0-1) unstable; urgency=low

  * New upstream version.
  * Skipped, never uploaded.
  * New maintainer

 -- Chris McKillop <cdm@debian.org>  Mon, 20 Sep 1999 18:33:03 -0600

wmaker (0.60.0.19990831-3) unstable; urgency=low

  * debian/control: shortened short descriptions for wmaker, wmaker-plain,
    wmaker-gnome and wmaker-kde (closes: bug#45542)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 Sep 1999 10:14:13 -0600

wmaker (0.60.0.19990831-2) unstable; urgency=low

  * debian/rules: /usr/share/doc, /usr/share/man

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 14 Sep 1999 10:12:57 -0600

wmaker (0.60.0.19990831-1) unstable; urgency=low

  * "new" upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 13 Sep 1999 11:55:18 -0600

wmaker (0.60.0-5) unstable; urgency=low

  * debian/wmaker.menu: removed "Window Maker (debian)" entry.  It's
    confusing. (closes: bug#37994)
  * wrlib/xpm.c::RGetImageFromXPMData: handles all the defined xpm color
    specification formats. (sent upstream) (closes: bug#35502)
  * Splitted wmaker into wmaker and wmaker-plain.  wmaker depends on
    each of wmaker-{plain,gnome,kde}; each of them depends on wmaker (=
    ${Source-Version}).  This ensures upgrades will be performed
    smoothly.
  * debian/wmaker-gnome.prerm: s/debian/gnome/
  * debian/wmaker.postinst.tmpl: removes WindowMaker-debian alternative
    upon installation.
  * debian/wmaker.prerm: removed code to remove alternative.
  * debian/wmaker-{gnome,kde}.menu: removed.  Those are confusing people.
  * debian/control: modified wmaker's description.  (s/afterstep//gi)
  * debian/wmaker.menu: fixed sort keys for several entries
  * WindowMaker/wmmacros, debian/wmaker: uses $GNUSTEP_USER_ROOT instead
    of $HOME/GNUstep. (closes: bug#43578)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  4 Sep 1999 09:36:32 -0600

wmaker (0.60.0-4) unstable; urgency=low

  * debian/wmaker.menu-method, debian/appearance.menu-method: updated to
    make it compatible with new menu package. (closes: bug#39836,
    bug#37994)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  1 Jul 1999 21:59:46 -0600

wmaker (0.60.0-3) unstable; urgency=low

  * WINGs/WINGs.h: changed #include <WUtil.h> to #include "WUtil.h" before
    Roman sends black choppers this way :) (closes: bug#39852)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 29 Jun 1999 10:09:57 -0600

wmaker (0.60.0-2) unstable; urgency=low

  * debina/rules::build-wmaker-debian-stamp: removes leftovers that
    shouldn't be in the tarball in the first place.  Since I'm using a
    VPATH build, make in checking in $(builddir)/WindowMaker/Defaults for
    WMWindowAttributes, WindowMaker and WMState, and _also_ in
    $(srcdir)/WindowMaker/Defaults.  Since it finds that the $(srcdir)
    versions are newer than their `.in' dependencies, it doesn't
    regenerate the files in $(builddir), which is _bad_ because
    WindowMaker/IconSets/Makefile.am searches for WMWindowAttributes in
    ../Defaults (or something equivalent to that). (closes: bug#38572)
  * debian/wmaker.menu: modified placement of Exit, Exit Session and
    Restart commands.  Added Info Panel and Legal Panel.  (closes:
    bug#37634)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 13 Jun 1999 13:02:46 -0600

wmaker (0.60.0-1) unstable; urgency=low

  * New upstream release
  * Oops... this is going to be problematic.  I stupidly `corrected'
    libwraster's libtool version on the last release.  That produced
    libwraster2.  But upstream didn't made this change.  Now the libtool
    version has been correctly changed wrt 0.53.0, but my fix wasn't
    incorporated.  That means libtool version is now 3:0:2, instead of
    3:0:1.  That produces libwraster1, not libwraster2.  This is
    technically wrong, but I'll stick to upstream's version.  Guy's gonna
    kill me... I submitted a bug asking for the removal of libwraster1
    from the archive.  Now I'll have to ask for the removal of libwraster2
    and have libwraster1 reincorporated into the archive.
  * debian/control: went back to libwraster1.
  * debian/wmaker.menu-method: added SHORTCUT support. (Thanks blue!)
  * debian/README: updated to reflect SHORTCUT support.
  * debian/rules: yet another try at shlibs info.  This time I have
    finally got this right.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  3 Jun 1999 23:19:53 -0600

wmaker (0.53.0-3) unstable; urgency=low

  * src/misc.c: added -undef to cpp call.  Undefines non-standard
    macros. (closes: bug#28595)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 29 May 1999 12:13:07 -0600

wmaker (0.53.0-2) unstable; urgency=low

  * debian/rules: removed --enable-lite for KDE.  Looking at the diffs in
    README.KDE between 0.52.0 and 0.53.0 it seems --enable-lite is not
    such a good idea afterall.
  * debian/wmaker.postinst.tml: try to cope with a dangling symlink in the
    alternatives.
  * debian/wmaker-{gnome,kde}.prerm: added.  Reread packaging manual.
    Alternatives are removed on prerm, NOT postrm. (closes: bug#34526,
    bug#34286)
  * debian/wmaker-{gnome,kde}.postrm: removed.  Ditto.
  * debian/README.Debian: updated.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 24 Apr 1999 11:20:06 -0600

wmaker (0.53.0-1) unstable; urgency=low

  * New upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 21 Apr 1999 21:46:25 -0600

wmaker (0.52.0-2) unstable; urgency=low

  * Ok.  One more try at fixing the dependency problems.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 10 Apr 1999 22:27:22 -0600

wmaker (0.52.0-1) unstable; urgency=low

  * New upstream version
  * debian/rules: changed dependency of libwraster to (>= 0.52.0)
  * debian/wmaker-gnome.menu: menu entries specific to
    wmaker-gnome. (thanks squirk!) (closes: bug#35148)
  * debian/wmaker-kde.menu: menu entries especific to wmaker-kde.
  * debian/wmaker.menu: added entry for "Debian" wmaker.
  * debian/WMWindowAttributes: added gnome stuff. (thanks Crow!) (closes:
    bug#34557)
  * debian/README.Debian: Updated.
  * debian/wmaker: no longer creates ~/GNUstep/.AppInfo, wmaker itself
    will create the directory if needed.
  * deban/wmakerpl.menu-method: new file, experimental.  It works, but I'm
    not really sure what I should do with it.  Right now it builds
    /etc/X11/WindowMaker/plmenu.hook, but nothing else uses it.  I was
    thinking about changing WPrefs.app to use it for it's ``template''
    file but I'm not convinced that's a good idea.
  * debian/rules: new target to create debian/shlibs.local -- I keep
    forgetting to edit the file.  The version information is now located
    at the top of debian/rules.  clean target removes debian/shlibs.local
  * Still pondering splitting wmaker into wmaker and wmaker-debian.
    wmaker-debian, wmaker-gnome and wmaker-kde would provide
    `wmaker-binary' (better name anyone?) and wmaker would depend on
    that.  This would make wmaker ~ 220 kB smaller.
  * debian/rules::install-wmaker-debian-stamp: Speaking of smaller, nuked
    /usr/lib/GNUstep/Apps/WPrefs.app/xpm.  WTH do I want that for if I
    have WPrefs.app/tiff _and_ tiff support is compiled in?
  * debian/rules::install-wmaker-debian-stamp: nuked .xpm counterparts of
    .tiff icons.  There are _too_ many of them and it's pure bloat.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  1 Apr 1999 18:13:25 -0600

wmaker (0.51.2-2) unstable; urgency=low

  * Finally fixed this annoying "can't build bug".  Tested.  Tested again.
    Tested yet one more time. (closes: bug#33409, bug#34523, bug#34583,
    bug#34657)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 16 Mar 1999 09:48:29 -0600

wmaker (0.51.2-1) unstable; urgency=low

  * New upstream version

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 12 Mar 1999 21:12:55 -0600

wmaker (0.51.1.2pre2-2) unstable; urgency=low

  * Fixed location of global defaults... again.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 11 Mar 1999 06:57:11 -0600

wmaker (0.51.1.2pre2-1) unstable; urgency=low

  * New upstream pre release version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  9 Mar 1999 10:16:53 -0600

wmaker (0.51.1-1) unstable; urgency=low

  * New upstream version.
  * New package, libwraster2.
  * debian/rules, debian/control, debian/shlibs: changed because of
    previous point.
  * debian/rules: wmkdemenu, installed in wmaker-kde.
  * Icons copyright situation cleared: wmaker is GPL.  The libraries are
    LGPL.  The icons are OPL.
  * wrlib/Makefile.am: changed version info to 2:0:0, interface is
    different!
  * debian/rules: README.GNOME installed in wmaker-gnome
  * debian/rules: README.KDE installed in wmaker-kde
  * debian/rules: wkdemenu.pl installed in wmaker-kde
  * src/*.c, WINGs/*.c, WPrefs/*.c: global defaults are installed in
    /etc/GNUstep/Defaults! `sysconfdir' is `/etc', `sysconfdir/GNUstep'
    and `sysconfdir/X11/WindowMaker' used where required.
  * Added libdockapp-dev package.
    + debian/control: added libdockapp-dev entry.
    + debian/rules: added libdockapp-dev targets

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  7 Mar 1999 12:49:25 -0600

wmaker (0.51.0-5) unstable; urgency=low

  * debian/rules: added a couple of comments regarding KANJI and DEBUG.
  * debian/rules: Redid dependencies between configure, aclocal.m4,
    ltconfig, Makefile.in and Makefile.am.  Straightened out a lot of
    bogus dependencies between these files.  I think I can say I got them
    right now, but there's still room for improvement.  This should clear
    "I-can't-build-it-why-can-you?" type of bugs.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  6 Mar 1999 14:24:11 -0600

wmaker (0.51.0-4) unstable; urgency=low

  * src/actions.c: patch by Matt Armstrong <matt_armstrong@bigfoot.com>
    (closes: bug#33976)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  4 Mar 1999 12:10:32 -0600

wmaker (0.51.0-3) unstable; urgency=low

  * debian/control: added wmaker-gnome (hey! we are back in the "build
    takes long because there are a gazillion different versions" times!)
    (closes: bug#32905)
  * debian/control: added wmaker-kde.  Wait! Don't jump on me just yet!
    If this can make your soul rest easier, think of wmaker-kde as a
    window manager that implements a funky communications protocol.
  * debian/rules: changed a lot of stuff to handle the new package in a
    sane way.
  * WindowMaker/Defaults/Makefile.am: removed dependency of some files on
    ./Makfile (what the heck is that for?) (sent upstream)
  * WindowMaker/IconSets/Makefile.am: ditto.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  8 Feb 1999 15:26:37 -0600

wmaker (0.51.0-2) unstable; urgency=low

  * Added changes from 0.20.3-5.
  * debian/control: Changed recommendation for asclock to suggestion.
  * debian/control: removed dependency of libwmaker-dev on
    libwmaker. (closes: bug#32707)
  * src/misc.c: Added -traditional to cpp call in MakeCPPArgs.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  6 Feb 1999 21:18:14 -0600

wmaker (0.51.0-1) unstable; urgency=low

  * New upstream version
  * Removed many patches, most are incorporated upstream. With some others
    it's obvious they won't be incorporated and it doesn't make sense to
    keep pushing them in the Debian diff's (they are mostly cosmetic
    things related to how things are built)
  * debian/rules: removes wrlib/get-wraster-flags on clean
  * debian/control: removed libwmaker0 package; only a static library is
    built now.
  * src/main.c: fixed message for unknown options; actually prints help if
    requested
  * doc/wmaker.1x: updated to reflect new option syntax.
  * debian/manpages/wmaker.1x: ditto.
  * doc/*: updated manpages.
  * debian/rules: After looking at what exactly does --enable-kanji do, it
    is obvious that the MB patch is not up to date with the rest of the
    code; this means I'm removing --enable-kanji from the configure
    options until someone fixes and TESTS it with iso-8859-1 characteres.
    I can't do it because I understand zip about the way MB works.  I
    _think_ the problem is in the lenght of the string and/or the way it's
    encoded, but I'm problably wrong.
  * Fixed wmsetbg PixmapPath thing.  Now 'wmsetbg Image' works.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 30 Jan 1999 15:06:05 -0600

wmaker (0.50.2-0.0.4) unstable; urgency=low

  * Really fixed the '%a(blah)' bug

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 11 Jan 1999 18:11:52 -0600

wmaker (0.50.2-0.0.3) unstable; urgency=low

  * src/misc.c: fixed bug in '%a(title,prompt)' constructs
  * util/wmsetbg.c: added quoted arround image name
  * util/getstyle.c: added check for NULL values when querying PixmapPath.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 11 Jan 1999 16:12:30 -0600

wmaker (0.50.2-0.0.2) unstable; urgency=low

  * Added '-traditional' again (fixes some reported bugs, don't have the
    number handy)
  * debian/wmaker.menu-method: added escapes for '*' (closes: bug#30622)
  * src/rootmenu.c: removed call to wsyserror if the directory specified
    my OPEN_MENU doesn't exist.
  * po/Makefile.am: removed double $(DESTDIR) in NLSPATH.  I patched it,
    upstream patched it somewhere else... :-(  Funny error dpkg gives with
    this: "corrupted tarball" or something like that.
  * WPrefs.app/po: ditto
  * debian/control: added 'Recommends: wmaker-usersguide'
  * debian/manpages/wmaker.1x: synced with upstream
  * Some fiddling with debian/rules

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 11 Jan 1999 10:31:25 -0600

wmaker (0.50.2-0.0.1) unstable; urgency=low

  * New upstream version
  * Installed missing readmes
  * Removed '-traditional' from cpp call

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 10 Jan 1999 20:31:12 -0600

wmaker (0.50.1-0.0.2) unstable; urgency=low

  * Added '-traditional' to cpp call.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  9 Jan 1999 21:10:06 -0600

wmaker (0.50.1-0.0.1) unstable; urgency=low

  * New upstream version

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  9 Jan 1999 20:25:21 -0600

wmaker (0.50.0-0.0.1) unstable; urgency=low

  * Woa! Big version leap... no, I didn't skip any <g>
  * Just a note: in the previous version it's not 'SSH', it's 'SHM'.
  * Redid a lot of patches
  * debian/rules: remove code that removes extensions.  Handled by Window
    Maker now.
  * debian/wmaker.menu: added '-noext' to some OPEN_MENU's

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  7 Jan 1999 15:57:16 -0600

wmaker (0.20.3-5) frozen; urgency=low

  * debian/wmaker.preinst: really fixed the diversion problem.  After
    reading the reports, I think I figured out what's going on.  A legacy
    diversion of asclock's manpage seems to be in place.  The diverted
    version is there and the real file is also there (the real file comes
    from asclock).  The approach taken: save the `good' file, remove the
    diversion, put the `good' file back in place.  How do I know which one
    the good file is?  Simple: asclock conflicts with wmaker << 0.15.0 and
    afterstep <= 1.4-6; wmaker >= 0.15.0 didn't provide any of the
    diverted files, so if there's a diversion and there's no original
    file, the diversion is the `good' file.  If the diversion and the
    original file are there, the `good' file is the original file. (Thanks
    Adam Di Carlo, Michael Babcock, Czako Krisztian, Kevin Dalley and
    `slapic') (closes: bug#31419, bug#32649)
  * debian/README: minor modifications (mostly aesthetics)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  4 Feb 1999 21:19:04 -0600

wmaker (0.20.3-4) frozen; urgency=low

  * debian/wmaker.preinst: how the heck did it work on the machines I
    tested this, I have no idea.  Adam Di Carlo provided enough
    information regarding this bug and I was able to reproduce the
    scenario where it triggers.  Thanks Adam! (closes: bug#31419)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 25 Jan 1999 16:04:22 -0600

wmaker (0.20.3-3) frozen; urgency=low

  * debian/wmaker.preinst: Arrrggghhh! I forgot to move the fix for
    bug#31419 from 0.50.2-0.0.4 into 0.20.3-2!!! I had installed a fixed
    version of 0.50.2-0.0.4 on my development machine and, of course, the
    diversion wasn't there anymore, so when I installed 0.20.3-2 on the
    same machine I didn't notice the fix wasn't there...  I need another
    slink machine!!! (Hmmm... there's a victim at the other end of the
    room) (closes: bug#31419)
  * debian/control: Changed 'Recommends: wmaker-usersguide' to 'Suggests:
    wmaker-userguide'.  First, someone files a bug because there's no
    documentation, and now someone doesn't like the fact that there's
    documentation.  I don't understand you people...
  * debian/wmaker.postrm: fixed horrendous bug in abort-upgrade.  This has
    been there for ages... funny how people catch more bugs during deep
    freeze stages. (closes: bug#32320)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 24 Jan 1999 08:55:52 -0600

wmaker (0.20.3-2) frozen; urgency=low

  * src/wconfig.h.in: Added '-traditional' to cpp (closes: bug#30665)
  * debian/control: added 'Recommends: wmaker-usersguide' (closes:
    bug#20483)
  * po/Makefile.am: fixed $(DESTDIR) (closes... no, the bug isn't on the
    BTS, it was mailed to me directly)
  * WPrefs.app/po/Makefile.am: ditto.
  * debian/wmaker.menu-method: added escapes for '*' (closes: bug#30622,
    bug#30624, bug#30637, bug#30679)
  * debian/wmaker.preinst: fixed old diversion removal (closes: bug#31419)
  * debian/control: bumped Standards-Version to 2.5.0
  * debian/control: Recommends: asclock (closes: bug#31132)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 16 Jan 1999 11:53:47 -0600

wmaker (0.20.3-1) frozen unstable; urgency=low

  * New upstream version. Incorporates all the upstream patches in
    0.20.2-1, 0.20.2-2 and 0.20.2-3. (Makes the diff.gz *much* smaller)
    and fixes some more bugs.
  * Fixes problems with SSH (namely bug#29505) (closes: bug#29505)
  * Also fixes problems with SSH over networks (closes: bug#30026)
  * Upstream removed some ${SHELL} hacks. (closes: bug#29658, bug#30298)
  * Fixes "migrating xv windows" (closes: bug#30381)
  * WindowMaker/appearance.menu, WindowMaker/background.menu: copied from
    my local /etc/X11/WindowMaker/ files; those are the files are menu
    generates them which is a good thing in case some is not running menu.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 10 Dec 1998 13:07:56 -0600

wmaker (0.20.3-0.0.1) frozen unstable; urgency=low

  * New upstream version. Incorporates all the upstream patches in
    0.20.2-1, 0.20.2-2 and 0.20.2-3. (Makes the diff.gz *much* smaller)
    and fixes some more bugs.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  3 Dec 1998 11:44:40 -0600

wmaker (0.20.2-3) frozen unstable; urgency=low

  * Applied more upstream patches: grayscale and 8bit jpeg support; fixed
    client restoration in restart/exit in multiheads; fixed problem with
    docked programs that have names with spaces; updated WPrefs.app for
    iconificationstyle; added -static command line option; put redundant
    NoWindowOverDock; fixed overlapping clip icon bug; extended window
    level code; added KeepOnBottom hint; added iconification style to
    WPrefs.app; fixed crash with bad value in defaults file; changed icon
    stacking code; added primitive support for 5 button mouse (for
    switching workspaces); fixed BadAccess and crash on programs that do
    XGrabButton; fixed bug with rootmenu Exec not working when stty is
    called from ~/.tcshrc; fixed bug with Move menu and sloppy focus;
    temporarily removed SHELL support in apps menu.
  * Someone pointed out that due to a patch applied in 0.20.2-2, Window
    Maker thinks its version is "0.20.3" instead of "0.20.2". Since
    there's no 0.20.3 upstream source yet, I guess we can live with that.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 28 Nov 1998 10:42:02 -0600

wmaker (0.20.2-2) frozen unstable; urgency=low

  * Rebuilt with new X packages (release -7 specifically)
  * New X packages ship X locales with xlib6g (closes: bug#28967)
  * Applied upstream patches that fixes several bugs. Cut-and-paste from
    the updated changelog: fixed bug in miniaturizing atribute panel,
    fixed bug for 64bit machines, fixed bug for apps that put strings with
    "." in WM_CLASS, added handling for reparented client windows, fixed
    bug with window positioning (this one is bug#24770 I think -- I need
    confirmation from the submitter), fixed cascade window placement to
    account for dock, fixed bug in window positioning by clients, fixed
    problem with random window placement.
  * configure.in: reverted patch to --with-appspath. debian/rules:
    modified to reflect this (closes: bug#28620, bug#28627, bug#28632,
    bug#28865)
  * debian/rules: dockit is gone but manpage is still installed
  * debian/wmaker.postinst.tmpl: removed the code to add Window Maker to
    /etc/X11/window-managers and replaced with register-window-manager
    (the interface provided by the xbase package). This fixes #28841
    partially (that's two bugs in one, this is the not-so-important part)
  * debian/wmaker.postrm: ditto for removal from /etc/X11/window-managers
  * On my system bug #26682 doesn't show up with this build and the new
    set of X pacakges. I'm not closing it because I've seen this come and
    go rather randomly.
  * Release 0.20.1-2 fixed bug #27411, I should have noted this on the
    changelog (I actually did but I never mentioned the bug number). It
    also fixed bug #27433.
  * WindowMaker/wmmacros: added macros for LOCAL_THEMES_DIR,
    LOCAL_STYLES_DIR, LOCAL_ICON_SETS_DIR, LOCAL_SOUND_SETS_DIR,
    LOCAL_BACKGROUNDS_DIR, USER_THEMES_DIR, USER_STYLES_DIR,
    USER_ICON_SETS_DIR, USER_SOUND_SETS_DIR, USER_BACKGROUNDS_DIR
  * WindowMaker/appearance.menu, WindowMaker/background.menu: added
    LOCAL_* paths and changed ~/GNUstep/... to USER_* (closes: bug#29473)
  * wrlib/Makefile.am: oops. Actually change shared version to
    1:0:0... hmmm... no wonder this made so much trouble.
  * debian/rules: fixed call to dh_shlibdeps... wrong dependencies were
    computed!

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 17 Nov 1998 12:53:50 -0600

wmaker (0.20.2-1) frozen unstable; urgency=low

  * New upstream version, fixes quite a few bugs, outstanding: timer bug
    (it is not possible to leave Window Maker <= 0.20.1 running for more
    than approx 28 days), the Emacs crash bug (fixed in previous Debian
    releases), focus bugs, crash bug with transient windows (The Gimp,
    etc), fixed crash bug with bad mgradients, better dithering in 8bpp.
  * Modified default IconPath and PixmapPath to more sensible values
    (/usr/local/<stuff> added)
  * WindowMaker/Defaults/WindowMaker.in: IconPath and PixmapPath changed
  * WPrefs.app/Paths.c: modified default values for IconPath and
    PixmapPath
  * src/wconfig.h.in: modified default values for IconPath and PixmapPath
  * debian/README.Debian: modified IconPath and PixmapPath
  * Upstream incorporated patch from 0.20.1-2 (Re: aspect ratio)
  * debian/README.Debian: fixed some grammar mistakes.
  * debian/control: fixed description per user's request.
  * Redid libtool patch. Sent upstream again. Maybe this time they'll take
    it as it seems Alfredo and/or Dan have begun putting shared library
    support in configure.in (sent upstream)
  * configure.in: modified handling of libPropList. It seems Alfredo
    and/or Dan are trying to get this thing to be foolproof, but in the
    process they are making it very difficult to get wmaker to build for
    ppl who happen to read the docs... :-(
  * WINGs/wapplication.c: modified to use --with-appspath from
    configure (sent upstream)
  * debian/rules: I give up! Forget about telling WindowMaker its Defaults
    directory lives in /etc/GNUstep. Use the darned symlink. Removed all
    the patches that made this work... I'm sick of reapplying those.
  * debian/*: s/WindowMaker/Window Maker/ in several places.
  * debian/rules: moves wm-oldmenu2new to /usr/doc/wmaker; the script it's
    a hack. It works but YMMV.
  * WINGs/wevent.c: added patch from Pascal Hofstee
    <daeron@Wit401305.student.utwente.nl>. Fixes a bug with select
    complaining about an invalid argument.
  * Added several entries for The Gimp, which make it look lots nicer
    and more usable under WindowMaker.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 25 Oct 1998 20:38:55 -0600

wmaker (0.20.1-2) unstable; urgency=low

  * src/window.c: fixed bug in aspect ratio code (sent upstream)
  * debian/control: changed all Recommends to Suggests
  * src/defaults.c: moved a pice of code to put the background color on
    the root window before the background image...
  * debian/README.Debian: added a note about WPrefs segfaulting with the
    nice looking menu button. READ IT, it's at the end.
  * debian/wmaker: I wrote wmaker.1x yet it seems I didn't read
    it... GNUSTEP_USER_ROOT holds the full path to the root directory for
    the user, NOT the directory name under ${HOME}.
  * debian/wmaker: copies WMRootMenu. This is an ugly-freeze-is-tomorrow
    fix.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 13 Oct 1998 09:20:42 -0600

wmaker (0.20.1-1) unstable; urgency=low

  * New upstream release
  * Squashed bug Re: incorrect filenames in Themes.
  * debian/wmaker.menu-method: fixed inclusion of pre and post-hook files.
  * debian/patch.wmaker: fixed things a bit to get INCLUDES = -D_REENTRANT
    for libraries.
  * configure.in: removed test for X_LOCALE
  * WINGs/wapplication.c: changed /usr/local/share/GNUstep to
    /usr/local/lib/GNUstep to get it in sync with the rest of the paths.
  * po/Makefile.am: added $(DESTDIR)/ in front of @NLSDIR@ to get it to
    install properly. Added WindowMaker.pot to CLEAN_FILES.
  * WPrefs/po/Makefile.am: added $(DESTDIR)/ in front of @NLSDIR@ to get
    it to install properly. Added WPrefs.pot to CLEAN_FILES.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 29 Sep 1998 15:03:35 -0600

wmaker (0.20.0-1) unstable; urgency=low

  * New upstream version.
  * Redid some patches for configure.in
  * Reviewed old changes in the source code. Bugs dealt with: #22743
    (Incorrect error message), #22744 (wmaker contains sloppy code),
    #23708 (wm overwrites configuration files) (closes: bug#22743,
    bug#22744, bug#23708)
  * Browse buttom for selecting the appicon works, forgot to close the
    bugreport (closes: bug#20771)
  * Bug #24753 (asload shift the screen) is not reproducible and has
    nothing to do with WindowMaker (or asclock, either) (closes:
    bug#24753)
  * Bug #24756 (Messes up afterstep) has already been taken care of
    (0.15.0-0), the only problem is no version beyond 0.14.1-7 will ever
    be installed on hamm (closes: bug#24756)
  * Added dependency for debianutils (>= 1.6) because of 'tempfile'
    (closes: bug#25323)
  * The problem with -DX_LOCALE has been fixed in 0.19.3-2; thanks to all
    the people that reported the problem (too many to name here); special
    thanks to Branden Robinson for taking care of the problem *really
    fast* (closes: bug#26401, bug#26430)
  * Modified WindowMaker/Themes/OpenStep: .jpeg extension removed from
    background image filename. Same for the Night theme. (closes:
    bug#26885)
  * wmaker now suggests wmakerconf. It doesn't recommend it because of
    WPrefs.app (closes: bug#24978)
  * my own experience says bug#22160 (exit session doesn't terminate
    netscape) is fixed (I could reproduce it in the past) (closes:
    bug#22160)
  * wmaker handles off-screen menus better; I just realized that (don't
    know which version fixed this) (closes: bug#24089)
  * Ok. There. One or two bugs remain open. Working on those. :-)
  * debian/rules: added WPREFSSRCDIR. Holds the source dir for WPrefs.app
  * Added -D_REENTRANT to libraries.
  * Added -D_SVID_SOURCE when XSHM is in use.
  * Undefined BIRTH_ANIMATION in src/wconfig.h.in; it's hideous, I won't
    include that.
  * Removed sentence about WMsound not available as a package in
    debian/control.
  * Removed convertstyle-related stuff from debian/rules as that script is
    not longer distributed with wmaker.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 24 Sep 1998 12:42:28 -0600

wmaker (0.19.3-2) unstable; urgency=low

  * Recompiled against new xlib6g. Removed X libraries from shlibs.local

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 15 Sep 1998 07:16:12 -0600

wmaker (0.19.3-1) unstable; urgency=low

  * New upstream version.
  * Cleaned Makefile a bit... spotted the bug where Background/\(*\).ext
    wasn't moved to Background/\1
  * Upstream includes GIF support now (yucks!). Compiled against
    libungif. libwraster changed a bit because of this; bumped the
    dependency information.
  * Changed shlibs.local *again*; reading xlib6g's changelog reveals
    X's maintainer introduced -DX_LOCALE on version 3.3.2.3-1:
       "config/cf/linux.cf: build with -DX_LOCALE flag, which fixes a
        number of obscure locale problems"

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 11 Sep 1998 09:25:30 -0600

wmaker (0.19.2-1) unstable; urgency=low

  * Woha! First time that debian's diff.gz applies cleanly. Ever. (New
    upstream version)
  * Moved /usr/share/GNUstep to /usr/lib/GNUstep
  * Modified the Makefile to cope with a future different location of
    GNUstep
  * Moved WPrefs to /usr/X11R6/bin/WPrefs and put a relative symlink in
    the lib/GNUstep/Apps directory.
  * Included xlib6g in shlibs.local to work arround the bug in
    xlib6g-dev. It requires xlib6g (>= 3.3.2.1) which is the oldest one I
    know works.
  * Fixed WINGs/wapplication.c to reflect the change from /usr/share to
    /usr/lib

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  7 Sep 1998 15:20:08 -0600

wmaker (0.19.1-1) unstable; urgency=low

  * New upstream version with most (all?) of the patches applied.
  * Included WPrefs' README.
  * Manpages integrated upstream (yeah!). wmaker.1x should still be a bit
    Debian specific, so there's a local copy.
  * Moved convertstyle.1 to /usr/man/man1/convertstyle.1 in debian/rules

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri,  4 Sep 1998 08:50:34 -0600

wmaker (0.19.0-2) unstable; urgency=low

  * Removed WINGs-flags on debian/rules:clean
  * Documenting changes is *good*... remembering to do so is also
    good. Changes in 0.19.0-1:
    - applied patch by Jim Knoble to pot files
    - applied patch by Alfredo Kojima to fix some problems with WINGs
    - modified configure.in to get it to pass correct gnustep_dir and
      gnustep_defaults_dir to other makefiles.
    - moved a bunch of old stuff from debian/ into debian/old_releases and
      the custom package stuff into debian/custom
    - modified debian/upgrade-windowmaker-defaults to cope with YAKMC (yet
      another key name change) in G/D/WMWindowAttributes that makes
      WindowMaker crash upon start.
    - Put a symlink /usr/share/WindowMaker/Defaults ->
      /etc/GNUstep/Defaults until I get to figure out where the h*ll are
      some functions getting /usr/share/WindowMaker/Defaults from.
    - Changed README.Debian, spells out some upgrade issues.
  * Changed shlibs.local entries
  * Changed README.Debian again. Lowered a bit the tone of the warning.
  * Added a sed scriptlet to debian/rules to fix the location of WPrefs in
    WMState.
  * Submited bugs against lintian regarding warnings about menu structure.
  * Fixed mess up with $critical_version in wmaker.postinst.tmpl and added
    a proper comment to remind myself how $critical_version is suppossed
    to be set.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  3 Sep 1998 17:30:41 -0600

wmaker (0.19.0-1) unstable; urgency=low

  * New upstream release.
  * Patched WINGs/wapplication.c and WINGs/userdefaults.c to the this
    thing in sync with the FHS.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  2 Sep 1998 16:57:07 -0600

wmaker (0.18.1b-1) unstable; urgency=low

  * New upstream version.
  * Patched src/dialog.c to get the Icon browser dialog NOT to ignore
    some valid paths in GNUstep/Defaults/WindowMaker
  * Removed second instance of ~/GNUstep/Library/WindowMaker/Pixmaps in
    WindowMaker/Defaults/WindowMaker.in, which I don't know how got there
    in the first place.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 22 Aug 1998 16:14:06 -0600

wmaker (0.17.5-4) unstable; urgency=low

  * Moved headers in -dev packages from /usr/X11R6/include/X11 to
    /usr/X11R6/include.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 15 Aug 1998 17:45:47 -0600

wmaker (0.17.5-3) unstable; urgency=low

  * Created new package libwings-dev to provide support for WINGs-based
    applications, like Aeleron and wmss.
  * Updated wmaker.1x
  * Modified the appearance.menu, yet again.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  9 Aug 1998 17:12:07 -0600

wmaker (0.17.5-2) unstable; urgency=low

  * Changed src/defaults.c to look for DEFAUTLS_DIR in DEF_GNUSTEP_DIR, which
    is defined as /etc/GNUstep in Debian. (closes: bug#25207)
  * Fixed README.Debian (closes: bug#25208) and added some extra notes.
  * Changed postinst to ask about upgrading the defaults only if it's
    requiered.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 30 Jul 1998 10:05:16 -0600

wmaker (0.17.5-1) unstable; urgency=low

  * New upstream version. Adds GNUstep/Library/Icons and moves icons to
    that directory, but this version still looks in G/L/W/Pixmaps to
    preserve backwards compatibility.
  * Added XConsole to WMWindowAttributes (closes: bug#22405).

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 28 Jul 1998 14:54:46 -0600

wmaker (0.17.3-1) unstable; urgency=low

  * New upstream version.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 22 Jul 1998 08:42:52 -0600

wmaker (0.17.2-1) unstable; urgency=low

  * New upstream version. Give me a break! Three versions in three
    days... I haven't even been able to test and upload the previous
    ones. :-)
  * Changed upgrade-windowmaker-defaults to cope with new changes (/me
    sees bug reports coming this way, I'm working on a fix to stop the
    script asking the same questions over and over again)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 21 Jul 1998 08:49:27 -0600

wmaker (0.17.0-1) unstable; urgency=low

  * New upstream version.
  * Removed wmaker-sound.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 Jul 1998 08:53:13 -0600

wmaker (0.16.1-0) unstable; urgency=low

  * New upstream version. wmaker-superfluous and wmaker-traditional are
    gone :-( (I liked that little kludge of mine, it served me well ;-)
    Changed control, postinst and postrm accordingly.
  * Added a new package to compensate for the lost of the other two:
    wmaker-sound (it was about time!). It's not tested, and WMSound is not
    Debianized, I don't promise anything.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  7 Jul 1998 09:23:30 -0600

wmaker (0.16.0-0) unstable; urgency=low

  * New upstream release.
  * Modified rootmenu.c to get OPEN_MENU to work.
  * Modified "our" wmaker script. It doesn't copy the global files
    now. WindowMaker will happly read the global ones.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri,  3 Jul 1998 13:04:19 -0600

wmaker (0.15.1-0) unstable; urgency=low

  * New upstream version. Version 0.15.0-0 was not uploaded to master.
  * Fixed bug from version 0.15.0-0: a typo in /usr/X11R6/bin/wmaker
    prevented WindowMaker from starting.
  * First attempt to ease upgrade from version 0.14.1-6. It still doesn't
    upgrade smoothly.
  * Applied several patches from the WindowMaker list. Most important: a
    memory leak problem/bogus requests handling patch by Pete Bentley
    (pete@sorted.org), that incidentally allows cgoban to run (closes
    #00000); a patch by Jim Knoble (jmknoble@pobox.com) that fixes
    handling of WorkspaceBack = none (allows running xearth, for example)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 13 Jun 1998 17:25:55 -0600

wmaker (0.15.0-0) unstable; urgency=low

  * New upstream version available. New features: The Fiend is gone. The
    Clip is here. Theme support improved. Better dithering, performs
    better on low end systems. Workspaces are more independent of each
    other.
  * Rearranged directory layout. Should support themes better. Is not
    really FSSTND complaint, because the FSSTND doesn't really say
    anything about /usr/share, but it goes better with the FHS.
  * Removed asclock from the package
  * Tried to clean debian/rules a bit
  * Patch from 0.14.1-2 incorporated upstream
  * Patches applied in 0.14.1-6 incorporated upstream
  * Patch from wmaker list applied. It looks like it crashed under certain
    conditions involving autofocus and attract icons.
  * Patched to get wmaker in line with FSSTND... again. Sent upstream...
    again. Menus and GNUstep/Defaults are configuration files, damm it!
  * This package doesn't make a smooth transition from 0.14.1-6 (in hamm)
    to this version, hence the release number. This package is expected to
    be buggy. I need feedback!
  * Updated the manpages.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 31 May 1998 18:47:47 -0600

wmaker (0.14.1-6) frozen unstable; urgency=low

  * Added menu.prehook and menu.posthook to the default menu. The menu
    file still puts Exit, Exit Session and Restart under WindowManagers,
    but users can copy /usr/lib/menu/wmaker to /etc/menu/wmaker, edit it,
    and edit /etc/X11/WindowMaker/menu.posthook to "move" those items
    outside the WindowManagers menu. (closes: bug#20194)
  * Patched src/moveres.c to get rid of a bug that can make WindowMaker
    crash when using "outline" mode for moving and resizing windows.
  * Patched wrlib/context.c to include an improved dithering
    algorithm. It is now possible to start *most* of the WindowMaker
    applets at the same time. (closes: bug#19764)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 10 May 1998 15:31:23 -0600

wmaker (0.14.1-5) frozen unstable; urgency=low

  * Fixed README.Debian to give pointers to some real documentation. This
    should take care of some bugs (closes: bug#20483)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 27 Apr 1998 20:18:57 -0600

wmaker (0.14.1-4) frozen unstable; urgency=low

  * Fixed behaviour if /etc/X11/window-managers doesn't exist when
    postinst is run. It properly creates the file with more or less the
    same contents xbase creates it (comments explaining what the files
    does, plus entries for twm and wmaker). (closes: bug#21315)
  * 0.14.1-3 was stupidly uploaded ONLY to unstable.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 Apr 1998 14:49:21 -0600

wmaker (0.14.1-3) unstable; urgency=low

  * Fixed behaviour if /etc/X11/window-managers doesn't exist when
    postinst is run. It properly creates the file with more or less the
    same contents xbase creates it (comments explaining what the files
    does, plus entries for twm and wmaker. (closes: bug#21315)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 18 Apr 1998 14:23:18 -0600

wmaker (0.14.1-2) frozen unstable; urgency=low

  * Changed src/text.c to make WindowMaker display inverse text on input
    when MB support is on (Debian's package uses MB). Patch sent upstream.
    (closes: bug#20488)
  * Modifies rules to make config.guess and config.sub executable and
    allow debbuild to do its job (closes: bug#20962)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 12 Apr 1998 14:53:56 -0600

wmaker (0.14.1-1) frozen unstable; urgency=low

  * New upstream version. Fixes several bugs. Outstanding: bug that made
    fiend's rewind button to not work on PPC (doesn't mention which OS, I
    presume it's Linux); bug that caused crash in certain conditions when
    using Sloppy focus; small mem-leak when destroying a workspace; bug
    when loading missing domains that caused WindowMaker to crash; bug in
    attribute editor that incorrectly create the appicon for an
    application, and could make WindowMaker to crash in certain
    conditions.
  * Upstream's added features: complete theme support (spixmap and tpixmap
    now work); Fiend enhancements (the idle indicator now lights if
    Fiend's not collapsed)
  * Fixed several lintian warnings related to excecutable .la files.
  * /etc/menu-methods/* are excecutable files in the deb (lintian); it
    doesn't make sense to -x them
  * Wrote manpages for several utilities included with WindowMaker
    (getstyle, setstyle, savews, geticonset, seticons, wdwrite, wxcopy,
    wxpaste and wmsetbg)
  * Fixed a few update-wmstyle-menu glitches: non-sense actions when ran
    as root; doesn't update the root menu when run; looks for themes
    (*.theme).
  * moved convertstlye to /usr/doc/wmaker directory. It's a tcl script,
    and it's useful ONLY to people upgrading from 0.6.3 who want to
    convert the old styles to the new ones. It's not as useful as it
    sounds, because it's easier to start over.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 29 Mar 1998 20:59:41 -0600

wmaker (0.14.0-4) frozen unstable; urgency=low

  * Added "Suggests: menu" as per discussion on debian-bugs-dist.
  * Polished package descriptions.
  * Previous release (0.14.0-3) fixed a bug that prevented the package
    from installing on some systems, notably those where 0.6.3-1 has been
    used before, i.e., bo systems, and long ago installed hamm systems,
    but the fact wasn't noted on the changelog. (closes: bug#19585,
    bug#19836, bug#19560)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 23 Mar 1998 21:27:45 -0600

wmaker (0.14.0-3) frozen unstable; urgency=low

  * Applied patch to wrlib. Better dithering for low end systems; uses an
    smaller fraction of the colorspace.
  * Reworked preinst and postinst script to handle the existance of a
    diversion of asclock by wmaker 0.6.3-1, and upgrades from that version.

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun, 22 Mar 1998 18:54:41 -0600

wmaker (0.14.0-2) unstable; urgency=low

  * Fixed postinst. It's "tempfile", not "tmpfile"! Removed extra
    whitespace. Rewrote some parts (closes: bug#19560, bug#19585)
  * Cleaned preinst
  * Added WindowMaker-happy version of asclock to the package, because
    asclock is not available as a package but instead it's packaged together
    with AfterStep. Added diversion of asclock to asclock.afterstep because
    it does NOT requiere WindowMaker.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 15 Mar 1998 08:51:00 -0600

wmaker (0.14.0-1) unstable; urgency=high

  * New upstream release, sporting an all new Fiend clone!
  * New maintainer, Marcelo E. Magallon <mmagallo@debian.org>.
  * The libtool patch that 0.13.1-0.1 depended on has been incorporated on
    the Debian package, but not upstream. One has to be careful as to ALWAYS
    run libtoolize --copy in order to get Debian's version instead of
    upstream's.
  * Previous version wasn't uploaded. It closed several lintian reported
    bugs and a nasty bug that wiped user modified files (closes: bug#17664)
  * Conffiles are absolute (closes: bug#18501)
  * Modified postinst. It will, hopefully, ask the user to modify
    /etc/X11/window-managers to make WindowMaker the default only if there's
    no previous WindowMaker entry there. It handles a rather curious syntax
    used by AfterStep's postinst which will deinstall WindowMaker's entry
    when AfterStep is deinstalled from the system (I think).
  * Changed a couple of file names in debian.
  * Wrote a manpage for wmaker.
  * Ran several files through ispell. Gosh! Hope I my grammar not as bad as
    my spelin is.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 08 Mar 1998 14:14:00 -0600

wmaker (0.13.1-0.1) unstable; urgency=high

  * New upstream release.
  * /etc/menu-methods/wmaker and /etc/menu-methods/wmstyle are
    configuration files. (closes: bug#17664)
  * /usr/X11R6/bin/wmaker is no longer a configuration file
  * Fixed a couple of bugs in postrm. (remove and purge were not working
    according to policy)
  * Updated to Standards 2.4.0.0
  * Fixed FSF address (lintian)
  * Fixed undocumented manpage references, 1x -> 7 (lintian)
  * conffiles are absolute (lintian)
  * inter-library dependency information included, but depends on
    patch for libtool not in the main distribution (lintian)

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sat, 14 Feb 1998 10:54:00 -0600

wmaker (0.13.0-0.1) unstable; urgency=low

  * New upstream release.

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Thu, 29 Jan 1998 16:35:00 -0600

wmaker (0.12.3-0.5) unstable; urgency=low

  * Fixed menu entry and handling of menu file. Many many thanks Joey!
    (fixes: bug#17014)
  * Fixes a stupid typo in libwmaker0 postinst (fixes: bug#16919,
    bug#17359, bug#17335, bug#17392)
  * libwmaker0-dev, which now replaces wmlib-dev, doesn't have a typo
    in depends (fixes: bug#16666)
  * Added wmaker-traditional, per user's request. This is yet another
    alternative; it doesn't have the newstyle look.
  * Changed Priorities to optional for all the packages.

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun, 25 Jan 1998 22:00:00 -0600

wmaker (0.12.3-0.4) unstable; urgency=low

  * Cleaned debian/rules to include Section and Priority in the packages
  * Changed Priorities for wmaker-superfluous, libwmaker0, libwmaker0-dev
    and libwraster0-dev to extra.

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun, 18 Jan 1998 17:24:21 -0600

wmaker (0.12.3-0.3) unstable; urgency=low

  * Added wmaker-superfluous package per user's request.
  * Appended Neil's changelog to this one.
  * Bugs closed in previous releases: focusing problem fixed (#14038);
    wxcopy and wxpaste are included (#14100); compiled using gnulibc 2 and
    g-libraries (closes #14799); postrm seems to be ok (closes #15651);
    preserves z-order during restarts (closes #11371)

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Mon, 29 Dec 1997 21:21:31 -0600

wmaker (0.12.3-0.2) unstable; urgency=low

  * Fixed a serious mistake regarding wmaker.inst. Removed the script from
    the package and all references to it from the program. Added another
    script wmaker, and renamed the original wmaker to WindowMaker.
  * Fixed entries in wmaker's configuration, to get it in sync with
    whatever goes in the package, and not whatever is on my system. <g>

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Mon, 29 Dec 1997 09:53:18 -0600

wmaker (0.12.3-0.1) unstable; urgency=low

  * New upstream version
  * Converted to debhelper
  * First Public Release announced on debian-devel and wmaker@eosys.com
  * Upstream version drops patches from 0.12.0-0.1 :^( (according to Dan
    Pascu <dan@services.iiruc.ro>, he never got the patches, they will be
    hopefully incorporated again in the next release) so they are in the
    source package diffs again.
  * Some fine tuning to the libtool patches. It now compiles ok and wmaker
    uses wrlib!!!
  * Patched source code (sent upstream) to preserve z-order during
    restarts. (closes #11371)
  * Modifications to the menu file to incorporate Debian menu system.
  * Added --with-gnustepdir to configure.in (sent upstream); this allows
    to build WindowMaker in a FSSTND complaint fashion.
  * Modified PixmapPath (again?!?) to make it Debian friendly.
  * Moved .so symlinks from base packages to development packages (debian
    policy)

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun, 28 Dec 1997 10:24:25 -0600

wmaker (0.12.2-0.1) unstable; urgency=low

  * New upstream version
  * Upstream version incorporates patches from 0.12.0-0.1
  * New patches to configure.in to support libPropList (available as a
    Debian package, libproplist0 and libproplist0-dev)
  * Used libtool to produce shared and static versions of wrasterlib and
    wmlib, but wmaker doesn't use them

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Tue, 16 Dec 1997 20:45:04 -0600

wmaker (0.12.1-0.1) unstable; urgency=low

  * New upstream version

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sat, 13 Dec 1997 16:23:54 -0600

wmaker (0.12.0-0.1) unstable; urgency=low

  * New upstream version
  * Non maintainer release. Changed debian version to make it policy
    complaint
  * Modified configure.in to add --with-pixmapdir. Patch sent to upstream
    maintainer.
  * Yet another try at pixmaps. This one seems to be the definite one; it
    mimicks what gnome is using, I assume that's the Right Thing ;-)
  * Upstream version seems to have corrected focusing problem (closes
    #14038)
  * wxcopy and wxpaste included (closes #14100)
  * Compiled using gnulibc 2 and g-libraries (closes #14799)
  * post-remove script created using deb-make (closes #15651)

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun,  7 Dec 1997 22:32:53 -0600

wmaker (0.11.1-0.1) unstable; urgency=low

  * New upstream version
  * Patches from 0.6.3-0.1 incorporated to upstream
  * Changed priority to optional
  * Support for internationalization compiled in
  * New paths for configuration and default pixmaps (yet another try!)

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sun, 23 Nov 1997 14:05:07 -0600

wmaker (0.6.3-0.1) unstable; urgency=low

  * Initial Release.
  * Added support for Debian menu system.
  * Changed paths to make it conform FSSTD.
  * Compiled using gnulibc, aka libc6
  * Improved runtime configuration (from the sysadmin point of view)
    adding some patches to CPP invocation.

 -- Marcelo E. Magallon <mmagallo@efis.ucr.ac.cr>  Sat,  1 Nov 1997 15:31:28 -0600

wmaker (0.6.3-1) unstable; urgency=low

  * Added Requires: cpp.  (Fixes Bug#11866)
  * Added support for Debian menu system.  (Thanks to Oliver Schoenherr
    for his config file examples.  Thanks also to others who have made
    suggestions.)  (Fixes Bug#10677)
  * Added wmlib-dev binary package with libWMaker and libwraster
    libraries and header files.  A package with shared libraries may
    follow once the interfaces settle down a bit.
  * Small change to package description.
  * Now builds asclock (patched to work with the Dock) and installs it,
    diverting the version from afterstep (if installed) in the process.
  * Added debian/X11/window-managers file so that wmaker gets added
    to /etc/X11/window-managers.
  * New upstream release.
  * Switched to CVS control.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sun, 31 Aug 1997 17:24:43 -0400

wmaker (0.6.0-1) unstable; urgency=low

  * Added info documentation to info system.
  * Added html documentation to dwww menu.
  * Fixed wconfig.h.in so that it correctly looks at /etc/X11/wmaker/
    for config files.  I don't know how that slipped past.
    (Fixes Bug#11045 and Bug#11357)
  * Built against libc6.
  * New upstream release. (Fixes Bug#11352)

 -- Neil A. Rubin <nar5@po.cwru.edu>  Fri, 25 Jul 1997 12:14:20 -0400

wmaker (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 17 Jun 1997 22:08:26 -0400

wmaker (0.4.3-1) unstable; urgency=low

  * Changed things so that the package doesn't use /lib/ld-linux.so.2
    from libc6.
  * New upstream release.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 27 May 1997 22:06:42 -0400

wmaker (0.4.2-1) unstable; urgency=low

  * Added dockapp script missing in upstream tarball.
  * New upstream release.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 27 May 1997 11:13:00 -0400

wmaker (0.4.1-1) unstable; urgency=low

  * Added Debian control files and changed configuration file locations.
  * Initial Experimental Release.  There are many known problems with this
    release, but it does work.  Please read /usr/doc/wmaker/README.debian.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sun, 18 May 1997 18:02:24 -0400
